# saagie-common

![Version: 1.19.2403281158-4766.11](https://img.shields.io/badge/Version-1.19.2403281158--4766.11-informational?style=flat-square)

A common part for saagie product

## Requirements

| Repository | Name | Version |
|------------|------|---------|
|  | fluentbit(fluent-bit) | 0.18.0 |
|  | monitoring-prometheus(prometheus) | 14.4.0 |
|  | observability-prometheus(prometheus) | 14.4.0 |

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| admin-ui.image.changed | bool | `false` |  |
| admin-ui.image.registry | string | `"docker.io"` |  |
| admin-ui.image.repository | string | `"saagie/admin-ui"` |  |
| admin-ui.image.tag | string | `"1.19.2403251723-3633.9"` |  |
| app-k8s-controller.image.changed | bool | `false` |  |
| app-k8s-controller.image.registry | string | `"docker.io"` |  |
| app-k8s-controller.image.repository | string | `"saagie/app-k8s-controller"` |  |
| app-k8s-controller.image.tag | string | `"1.19.2301061733-3157.178"` |  |
| changelogs.image.changed | bool | `false` |  |
| changelogs.image.registry | string | `"docker.io"` |  |
| changelogs.image.repository | string | `"saagie/changelogs"` |  |
| changelogs.image.tag | string | `"1.19.2402021512-4731.40"` |  |
| conforama.image.changed | bool | `false` |  |
| conforama.image.registry | string | `"docker.io"` |  |
| conforama.image.repository | string | `"saagie/conforama"` |  |
| conforama.image.tag | string | `"1.19.2311071741-4384.21"` |  |
| customerUser.login | string | `nil` |  |
| customerUser.password | string | `nil` |  |
| external-technology-runner.image.changed | bool | `false` |  |
| external-technology-runner.image.registry | string | `"docker.io"` |  |
| external-technology-runner.image.repository | string | `"saagie/external-technology-runner"` |  |
| external-technology-runner.image.tag | string | `"1.19.2209151016-3722.3"` |  |
| fluentbit.config.filters | string | `"# https://github.com/fluent/helm-charts/blob/main/charts/fluent-bit/values.yaml#L202\n[FILTER]\n    Name kubernetes\n    Match kube.main.*\n    Kube_Tag_Prefix kube.main.var.log.containers.\n    Merge_Log On\n    Keep_Log Off\n    K8S-Logging.Parser On\n    K8S-Logging.Exclude On\n    Buffer_Size 128k\n\n[FILTER]\n    Name kubernetes\n    Match kube.init.*\n    Kube_Tag_Prefix kube.init.var.log.containers.\n    Merge_Log On\n    Keep_Log Off\n    K8S-Logging.Parser On\n    K8S-Logging.Exclude On\n    Buffer_Size 128k\n\n[FILTER]\n    Name kubernetes\n    Match kube.sidecar.*\n    Kube_Tag_Prefix kube.sidecar.var.log.containers.\n    Merge_Log On\n    Keep_Log Off\n    K8S-Logging.Parser On\n    K8S-Logging.Exclude On\n    Buffer_Size 128k\n\n[FILTER]\n    Name modify\n    Match  kube.*\n    Rename message log\n\n[FILTER]\n    Name lua\n    Match  kube.*\n    script /fluent-bit/scripts/saagie.lua\n    call   filter_on_installation_id\n\n[FILTER]\n    Name lua\n    Match  kube.*\n    script /fluent-bit/scripts/saagie.lua\n    call   keep_only_app_job_or_condition\n\n[FILTER]\n    Name lua\n    Match  kube.*\n    script /fluent-bit/scripts/saagie.lua\n    call   record_project_context\n\n[FILTER]\n    Name lua\n    Match  kube.*\n    script /fluent-bit/scripts/saagie.lua\n    call   record_app_job_and_condition_contextual_info\n\n[FILTER]\n    Name lua\n    Match  kube.*\n    script /fluent-bit/scripts/saagie.lua\n    call   record_log_prefixes"` |  |
| fluentbit.config.inputs | string | `"[INPUT]\n    Name tail\n    Path /var/log/containers/*-project*_main-*.log\n    Parser ${PARSER}\n    Tag kube.main.*\n    Refresh_Interval 5\n    Mem_Buf_Limit 5MB\n    Read_from_Head True\n    DB /etc/fluent-bit/main-containers.sqlite\n    DB.locking True\n\n[INPUT]\n    Name tail\n    Path /var/log/containers/*-project*_saagie-init-*.log\n    Parser ${PARSER}\n    Tag kube.init.*\n    Refresh_Interval 5\n    Mem_Buf_Limit 5MB\n    Read_from_Head True\n    DB /etc/fluent-bit/init-containers.sqlite\n    DB.locking True\n\n[INPUT]\n    Name tail\n    Path /var/log/containers/*-project*_saagie-sidecar-*.log\n    Parser ${PARSER}\n    Tag kube.sidecar.*\n    Refresh_Interval 5\n    Mem_Buf_Limit 5MB\n    Read_from_Head True\n    DB /etc/fluent-bit/sidecar-containers.sqlite\n    DB.locking True"` |  |
| fluentbit.config.outputs | string | `"[OUTPUT]\n    Name mongo\n    Match kube.*\n    Host_port ${MONGOHOST}:${MONGOPORT}\n    Auth_database ${MONGODB}\n    Username ${MONGOUSER}\n    Database ${MONGODB}\n    Password ${MONGOPASSWORD}"` |  |
| fluentbit.config.service | string | `"[SERVICE]\n    Daemon Off\n    Flush 1\n    Log_Level {{ .Values.logLevel }}\n    Parsers_File parsers.conf\n    Parsers_File custom_parsers.conf\n    HTTP_Server On\n    HTTP_Listen 0.0.0.0\n    HTTP_Port {{ .Values.service.port }}\n    Health_Check On\n\n@INCLUDE dynamic/generated.conf"` |  |
| fluentbit.daemonSetVolumeMounts[0].mountPath | string | `"/fluent-bit/etc/dynamic"` |  |
| fluentbit.daemonSetVolumeMounts[0].name | string | `"dynamic-config"` |  |
| fluentbit.daemonSetVolumeMounts[0].readOnly | bool | `true` |  |
| fluentbit.daemonSetVolumeMounts[1].mountPath | string | `"/var/log"` |  |
| fluentbit.daemonSetVolumeMounts[1].name | string | `"varlog"` |  |
| fluentbit.daemonSetVolumeMounts[1].readOnly | bool | `true` |  |
| fluentbit.daemonSetVolumeMounts[2].mountPath | string | `"/var/lib/docker/containers"` |  |
| fluentbit.daemonSetVolumeMounts[2].name | string | `"varlibdockercontainers"` |  |
| fluentbit.daemonSetVolumeMounts[2].readOnly | bool | `true` |  |
| fluentbit.daemonSetVolumeMounts[3].mountPath | string | `"/etc/machine-id"` |  |
| fluentbit.daemonSetVolumeMounts[3].name | string | `"etcmachineid"` |  |
| fluentbit.daemonSetVolumeMounts[3].readOnly | bool | `true` |  |
| fluentbit.daemonSetVolumeMounts[4].mountPath | string | `"/etc/fluent-bit"` |  |
| fluentbit.daemonSetVolumeMounts[4].name | string | `"tail-db"` |  |
| fluentbit.daemonSetVolumeMounts[4].readOnly | bool | `false` |  |
| fluentbit.daemonSetVolumes[0].configMap.name | string | `"mongo-create-user"` |  |
| fluentbit.daemonSetVolumes[0].name | string | `"mongo-user-script"` |  |
| fluentbit.daemonSetVolumes[1].emptyDir | object | `{}` |  |
| fluentbit.daemonSetVolumes[1].name | string | `"dynamic-config"` |  |
| fluentbit.daemonSetVolumes[2].hostPath.path | string | `"/var/log"` |  |
| fluentbit.daemonSetVolumes[2].name | string | `"varlog"` |  |
| fluentbit.daemonSetVolumes[3].hostPath.path | string | `"/var/lib/docker/containers"` |  |
| fluentbit.daemonSetVolumes[3].name | string | `"varlibdockercontainers"` |  |
| fluentbit.daemonSetVolumes[4].hostPath.path | string | `"/etc/machine-id"` |  |
| fluentbit.daemonSetVolumes[4].hostPath.type | string | `"File"` |  |
| fluentbit.daemonSetVolumes[4].name | string | `"etcmachineid"` |  |
| fluentbit.daemonSetVolumes[5].hostPath.path | string | `"/etc/fluent-bit"` |  |
| fluentbit.daemonSetVolumes[5].hostPath.type | string | `"DirectoryOrCreate"` |  |
| fluentbit.daemonSetVolumes[5].name | string | `"tail-db"` |  |
| fluentbit.env[0].name | string | `"MONGOAUTHDB"` |  |
| fluentbit.env[0].value | string | `"projects-logs"` |  |
| fluentbit.env[1].name | string | `"MONGODB"` |  |
| fluentbit.env[1].value | string | `"projects-logs"` |  |
| fluentbit.env[2].name | string | `"MONGOHOST"` |  |
| fluentbit.env[2].value | string | `"saagie-common-mongodb"` |  |
| fluentbit.env[3].name | string | `"MONGOPASSWORD"` |  |
| fluentbit.env[3].valueFrom.secretKeyRef.key | string | `"projects-logs-mongodb-password"` |  |
| fluentbit.env[3].valueFrom.secretKeyRef.name | string | `"saagie-common-fluentbit"` |  |
| fluentbit.env[4].name | string | `"MONGOPORT"` |  |
| fluentbit.env[4].value | string | `"27017"` |  |
| fluentbit.env[5].name | string | `"MONGOUSER"` |  |
| fluentbit.env[5].value | string | `"logs_writer"` |  |
| fluentbit.env[6].name | string | `"COMMON_NAMESPACE"` |  |
| fluentbit.env[6].valueFrom.fieldRef.fieldPath | string | `"metadata.namespace"` |  |
| fluentbit.imagePullSecrets[0].name | string | `"saagie-docker-config"` |  |
| fluentbit.initContainers[0].command[0] | string | `"mongo"` |  |
| fluentbit.initContainers[0].command[10] | string | `"script/create-user.js"` |  |
| fluentbit.initContainers[0].command[1] | string | `"saagie-common-mongodb:27017"` |  |
| fluentbit.initContainers[0].command[2] | string | `"-u"` |  |
| fluentbit.initContainers[0].command[3] | string | `"root"` |  |
| fluentbit.initContainers[0].command[4] | string | `"-p"` |  |
| fluentbit.initContainers[0].command[5] | string | `"$(MONGO_ROOT_PWD)"` |  |
| fluentbit.initContainers[0].command[6] | string | `"--authenticationDatabase"` |  |
| fluentbit.initContainers[0].command[7] | string | `"admin"` |  |
| fluentbit.initContainers[0].command[8] | string | `"--eval"` |  |
| fluentbit.initContainers[0].command[9] | string | `"var database='projects-logs'; var username='logs_writer'; var password='$(MONGO_USER_PWD)';"` |  |
| fluentbit.initContainers[0].env[0].name | string | `"MONGO_ROOT_PWD"` |  |
| fluentbit.initContainers[0].env[0].valueFrom.secretKeyRef.key | string | `"mongodb-root-password"` |  |
| fluentbit.initContainers[0].env[0].valueFrom.secretKeyRef.name | string | `"saagie-common-mongodb-secret"` |  |
| fluentbit.initContainers[0].env[1].name | string | `"MONGO_USER_PWD"` |  |
| fluentbit.initContainers[0].env[1].valueFrom.secretKeyRef.key | string | `"projects-logs-mongodb-password"` |  |
| fluentbit.initContainers[0].env[1].valueFrom.secretKeyRef.name | string | `"saagie-common-fluentbit"` |  |
| fluentbit.initContainers[0].image | string | `"{{ template \"fluent-bit.repositoryAndTag\" list .Values.global.thirdPartyImages.mongo . }}"` |  |
| fluentbit.initContainers[0].name | string | `"create-mongo-user"` |  |
| fluentbit.initContainers[0].volumeMounts[0].mountPath | string | `"/script"` |  |
| fluentbit.initContainers[0].volumeMounts[0].name | string | `"mongo-user-script"` |  |
| fluentbit.initContainers[0].volumeMounts[0].readOnly | bool | `true` |  |
| fluentbit.initContainers[1].command[0] | string | `"bash"` |  |
| fluentbit.initContainers[1].command[1] | string | `"-c"` |  |
| fluentbit.initContainers[1].command[2] | string | `"#!/usr/bin/env bash\n\nset -eu\n\nruntime=\"$(kubectl get node \"${NODE_NAME}\" -o jsonpath='{$.status.nodeInfo.containerRuntimeVersion}')\"\necho \"Container runtime ${runtime} detected for node ${NODE_NAME}\"\n\ncase \"${runtime}\" in\n  \"docker://\"*)\n    echo '@SET PARSER=docker' > \"${OUTPUT_FILE}\"\n    ;;\n  \"containerd://\"*)\n    echo '@SET PARSER=cri' > \"${OUTPUT_FILE}\"\n    ;;\n  *)\n    echo \"Runtime not supported yet\" >&2\n    exit 1\n    ;;\nesac"` |  |
| fluentbit.initContainers[1].env[0].name | string | `"NODE_NAME"` |  |
| fluentbit.initContainers[1].env[0].valueFrom.fieldRef.fieldPath | string | `"spec.nodeName"` |  |
| fluentbit.initContainers[1].env[1].name | string | `"OUTPUT_FILE"` |  |
| fluentbit.initContainers[1].env[1].value | string | `"/mnt/fluent-bit-configuration/generated.conf"` |  |
| fluentbit.initContainers[1].image | string | `"{{ include \"repositoryAndTagForK8sVersion\" (list \"kubectl\" .) }}"` |  |
| fluentbit.initContainers[1].name | string | `"generate-config"` |  |
| fluentbit.initContainers[1].volumeMounts[0].mountPath | string | `"/mnt/fluent-bit-configuration"` |  |
| fluentbit.initContainers[1].volumeMounts[0].name | string | `"dynamic-config"` |  |
| fluentbit.luaScripts."saagie.lua" | string | `"local DROP_RECORD               = -1\nlocal KEEP_RECORD_AND_TIMESTAMP = 0\nlocal NEW_RECORD_AND_TIMESTAMP  = 1\nlocal NEW_RECORD_KEEP_TIMESTAMP = 2 -- The code 2 is supported from FluentBit v1.4.3.\nlocal COMMON_NAMESPACE = os.getenv(\"COMMON_NAMESPACE\")\n\nfunction log(level, message, data)\n  local meta = \"\"\n  if data ~= nil then\n    for k, v in pairs(data) do\n      meta = meta .. \" \" .. k .. \"=\" .. v\n    end\n  end\n\n  io.stderr:write(\"[\" .. os.date(\"%Y-%m-%d %X\") .. \"] [\" .. string.format(\"%5s\", level) .. \"] [saagie] \" .. message .. meta ..\"\\n\")\nend\n\nfunction string.starts(String,Start)\n   return string.sub(String,1,string.len(Start))==Start\nend\n\nfunction filter_on_installation_id(tag, timestamp, record)\n  if record[\"kubernetes\"] ~= nil\n    and record[\"kubernetes\"][\"labels\"] ~= nil\n    and record[\"kubernetes\"][\"labels\"][\"io.saagie/installationId\"] == COMMON_NAMESPACE\n    and record[\"kubernetes\"][\"container_name\"] ~= nil then\n\n    record[\"container_name\"] = record[\"kubernetes\"][\"container_name\"]\n    return NEW_RECORD_KEEP_TIMESTAMP, timestamp, record\n  end\n  return DROP_RECORD -- Do not keep record\nend\n\nfunction keep_only_app_job_or_condition(tag, timestamp, record)\n  local type = record[\"kubernetes\"][\"labels\"][\"io.saagie/type\"]\n  if type == \"job\"\n    or type == \"app\"\n    or type == \"condition\" then\n\n    record[\"type\"] = type\n    return NEW_RECORD_KEEP_TIMESTAMP, timestamp, record\n  end\n\n  log(\"warn\", \"Not a valid app, job or pipeline's condition\", {\n    container_name = record[\"kubernetes\"][\"container_name\"]\n  })\n  return DROP_RECORD -- Do not keep record\nend\n\nfunction record_project_context(tag, timestamp, record)\n  record[\"project_id\"]  = record[\"kubernetes\"][\"labels\"][\"io.saagie/project-id\"]\n  record[\"customer\"]    = record[\"kubernetes\"][\"labels\"][\"io.saagie/customer\"]\n  record[\"platform_id\"] = record[\"kubernetes\"][\"labels\"][\"io.saagie/platform-id\"]\n  return NEW_RECORD_KEEP_TIMESTAMP, timestamp, record\nend\n\n-- Don't forget update fluent-bit-mongo (https://github.com/saagie/fluent-bit-mongo) if you update data records\nfunction record_app_job_and_condition_contextual_info(tag, timestamp, record)\n  if record[\"type\"] == \"job\" then\n    if record[\"kubernetes\"][\"labels\"][\"io.saagie/job-execution-id\"] ~= nil then\n        record[\"job_execution_id\"] = record[\"kubernetes\"][\"labels\"][\"io.saagie/job-execution-id\"]\n    else\n        record[\"job_execution_id\"] = record[\"kubernetes\"][\"pod_id\"]\n    end\n  elseif record[\"type\"] == \"app\" then\n    record[\"app_execution_id\"] = record[\"kubernetes\"][\"labels\"][\"execution.app.saagie.io/id\"]\n    record[\"app_id\"]           = record[\"kubernetes\"][\"labels\"][\"app.saagie.io/id\"]\n    record[\"container_id\"]     = string.match(tag, \".*-project.*_main%-(.*).log\")\n\n  elseif record[\"type\"] == \"condition\" then\n    record[\"condition_execution_id\"]             = record[\"kubernetes\"][\"pod_id\"]\n    record[\"condition_node_id\"]                  = record[\"kubernetes\"][\"labels\"][\"io.saagie/condition-node-id\"]\n    record[\"pipeline_execution_id\"]              = record[\"kubernetes\"][\"labels\"][\"io.saagie/pipeline-execution-id\"]\n  end\n  return NEW_RECORD_KEEP_TIMESTAMP, timestamp, record\nend\n\n-- Records must match Mongo's documents defined in fluent-bit-mongo (https://github.com/saagie/fluent-bit-mongo) or will be ignored with an error thrown in pod's logs\nfunction record_log_prefixes(tag, timestamp, record)\n  if record[\"log\"] == nil then\n    return DROP_RECORD -- Fail fast: do not keep record\n  end\n\n  local container_name = record[\"container_name\"]\n  -- iterate over the stream parsers for this container\n  for key, stream_parser in pairs(record[\"kubernetes\"][\"annotations\"]) do\n    local prefix = \"logging.saagie.io/stream-parser-\" .. container_name\n    if string.starts(key, prefix) then\n      -- if the log matches the stream parser then flag it and get done with it\n      local matches_parser = string.find(record[\"log\"], stream_parser) ~= nil\n      local log_prefix = string.sub(key, string.len(prefix)+2)\n      if matches_parser then\n        if string.starts(record[\"log\"], \"[\" .. log_prefix .. \"]\") then\n          record[\"log_prefix\"] = log_prefix\n        else\n          record[\"stream\"] = log_prefix .. \"_\" .. record[\"stream\"]\n        end\n        return NEW_RECORD_KEEP_TIMESTAMP, timestamp, record\n      end\n    end\n  end\n\n  -- we reach here if\n  -- - there are no stream parsers for this container // which means all its logs are considered unprefixed/vanilla\n  -- - there are stream parsers for this container but none matched the log line // which means this log is considered unprefixed/vanilla\n\n  -- keep record if the config does not say we should exclude unprefixed/vanilla logs for this container\n  if record[\"kubernetes\"][\"annotations\"][\"logging.saagie.io/exclude-vanilla-\" .. container_name] == \"true\" then\n    return DROP_RECORD -- Do not keep record\n  end\n\n  return KEEP_RECORD_AND_TIMESTAMP, timestamp, record\nend"` |  |
| fluentbit.rbac.create | bool | `false` |  |
| fluentbit.resources.limits.cpu | string | `"100m"` |  |
| fluentbit.resources.limits.memory | string | `"196Mi"` |  |
| fluentbit.resources.requests.cpu | string | `"100m"` |  |
| fluentbit.resources.requests.memory | string | `"128Mi"` |  |
| fluentbit.serviceAccount.create | bool | `false` |  |
| fluentbit.serviceAccount.name | string | `"saagie-logs-crawler"` |  |
| fluentbit.tolerations[0].effect | string | `"NoSchedule"` |  |
| fluentbit.tolerations[0].key | string | `"nvidia.com/gpu"` |  |
| fluentbit.tolerations[0].operator | string | `"Exists"` |  |
| fluentbit.updateStrategy.rollingUpdate.maxUnavailable | string | `"100%"` |  |
| fluentbit.updateStrategy.type | string | `"RollingUpdate"` |  |
| gateway.image.changed | bool | `false` |  |
| gateway.image.registry | string | `"docker.io"` |  |
| gateway.image.repository | string | `"saagie/gateway"` |  |
| gateway.image.tag | string | `"1.19.2208231302-3411.127"` |  |
| global.ai.enabled | bool | `false` |  |
| global.auth.keycloakUser.secretKey | string | `"auth-keycloak-password"` |  |
| global.auth.keycloakUser.secretName | string | `"saagie-common-auth-keycloak"` |  |
| global.buildVersion | string | `"1.19.2403281158-4766.11"` |  |
| global.commonAffinity | object | `{}` |  |
| global.commonTolerations | list | `[]` |  |
| global.customer.name | string | `nil` |  |
| global.dev | bool | `false` |  |
| global.ingress.base_domain | string | `nil` |  |
| global.ingress.host_prefix | string | `nil` |  |
| global.ingress.tls.secretName | string | `nil` |  |
| global.isUniqueUrl | bool | `false` |  |
| global.jobAffinity | object | `{}` |  |
| global.jobTolerations | list | `[]` |  |
| global.jvm.memory.compressedClassSpaceSize | string | `"5%"` |  |
| global.jvm.memory.heap | string | `"58%"` |  |
| global.jvm.memory.metaspace | string | `"25%"` |  |
| global.jvm.memory.reservedCodeCacheSize | string | `"10%"` |  |
| global.logs-crawler.service_account_name | string | `"saagie-logs-crawler"` |  |
| global.mail.sender | string | `"noreply@saagie.com"` |  |
| global.nodeIsolation | bool | `false` |  |
| global.registry | string | `nil` |  |
| global.saagieInternalImages.external-job-runner.changed | bool | `false` |  |
| global.saagieInternalImages.external-job-runner.registry | string | `"docker.io"` |  |
| global.saagieInternalImages.external-job-runner.repository | string | `"saagie/external-job-runner"` |  |
| global.saagieInternalImages.external-job-runner.tag | string | `"1.19.2302011449-3908.4"` |  |
| global.security-root.ldap.group_membership_attribute | string | `nil` |  |
| global.security-root.ldap.group_name_id_field | string | `nil` |  |
| global.security-root.ldap.group_object_classes | string | `nil` |  |
| global.security-root.ldap.groups_base_search | string | `nil` |  |
| global.security-root.ldap.partition_suffix | string | `nil` |  |
| global.security-root.ldap.password | string | `nil` |  |
| global.security-root.ldap.rdn_attribute | string | `nil` |  |
| global.security-root.ldap.url | string | `nil` |  |
| global.security-root.ldap.user_dn | string | `nil` |  |
| global.security-root.ldap.user_name_id_field | string | `nil` |  |
| global.security-root.ldap.user_name_object_classes | string | `nil` |  |
| global.security-root.ldap.users_base_search | string | `nil` |  |
| global.security-root.provider | string | `nil` |  |
| global.security-root.sso.cryptrAccountDomain | string | `nil` |  |
| global.security-root.sso.cryptrClientId | string | `nil` |  |
| global.security-root.sso.cryptrClientSecret | string | `nil` |  |
| global.security-root.sso.cryptrOrganisationDomain | string | `nil` |  |
| global.security-root.sso.cryptrServiceUrl | string | `nil` |  |
| global.security-root.sso.keycloakClientId | string | `nil` |  |
| global.security-root.sso.keycloakClientSecret | string | `nil` |  |
| global.security-root.sso.realm | string | `nil` |  |
| global.securityAccess.adminGroup | string | `nil` |  |
| global.securityAccess.filteredGroups | list | `[]` |  |
| global.securityAccess.m2mUser | string | `nil` |  |
| global.securityAccess.protectedGroups | list | `[]` |  |
| global.securityAccess.protectedUsers | list | `[]` |  |
| global.securityAccess.superAdminGroup | string | `nil` |  |
| global.technologiesRepository.dedicatedRegistry | bool | `false` |  |
| global.technologiesRepository.internal | bool | `false` |  |
| global.technologiesRepository.registry | string | `nil` |  |
| global.technologiesRepository.url | string | `nil` |  |
| global.thirdPartyImages.argoController.changed | bool | `false` |  |
| global.thirdPartyImages.argoController.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.argoController.repository | string | `"argoproj/workflow-controller"` |  |
| global.thirdPartyImages.argoController.tag | string | `"v3.2.11"` |  |
| global.thirdPartyImages.argoExec.changed | bool | `false` |  |
| global.thirdPartyImages.argoExec.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.argoExec.repository | string | `"saagie/argoexec"` |  |
| global.thirdPartyImages.argoExec.tag | string | `"2301111550-v3.2.11"` |  |
| global.thirdPartyImages.bats.changed | bool | `false` |  |
| global.thirdPartyImages.bats.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.bats.repository | string | `"bats/bats"` |  |
| global.thirdPartyImages.bats.tag | string | `"v1.4.1"` |  |
| global.thirdPartyImages.busybox.changed | bool | `false` |  |
| global.thirdPartyImages.busybox.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.busybox.repository | string | `"busybox"` |  |
| global.thirdPartyImages.busybox.tag | string | `"1.32.1"` |  |
| global.thirdPartyImages.configmapReload.changed | bool | `false` |  |
| global.thirdPartyImages.configmapReload.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.configmapReload.repository | string | `"jimmidyson/configmap-reload"` |  |
| global.thirdPartyImages.configmapReload.tag | string | `"v0.5.0"` |  |
| global.thirdPartyImages.fluentBit.changed | bool | `false` |  |
| global.thirdPartyImages.fluentBit.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.fluentBit.repository | string | `"saagie/fluent-bit-mongo"` |  |
| global.thirdPartyImages.fluentBit.tag | string | `"2.0.8-20230329"` |  |
| global.thirdPartyImages.grafanaCurlImage.changed | bool | `false` |  |
| global.thirdPartyImages.grafanaCurlImage.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.grafanaCurlImage.repository | string | `"curlimages/curl"` |  |
| global.thirdPartyImages.grafanaCurlImage.tag | string | `"7.85.0"` |  |
| global.thirdPartyImages.grafanaImage.changed | bool | `false` |  |
| global.thirdPartyImages.grafanaImage.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.grafanaImage.repository | string | `"grafana/grafana"` |  |
| global.thirdPartyImages.grafanaImage.tag | string | `"10.1.1"` |  |
| global.thirdPartyImages.grafanaInitChownImage.changed | bool | `false` |  |
| global.thirdPartyImages.grafanaInitChownImage.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.grafanaInitChownImage.repository | string | `"library/busybox"` |  |
| global.thirdPartyImages.grafanaInitChownImage.tag | string | `"1.32.1"` |  |
| global.thirdPartyImages.javaAgentPrometheusJmxExporter.changed | bool | `false` |  |
| global.thirdPartyImages.javaAgentPrometheusJmxExporter.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.javaAgentPrometheusJmxExporter.repository | string | `"saagie/jmx-prometheus-javaagent"` |  |
| global.thirdPartyImages.javaAgentPrometheusJmxExporter.tag | string | `"2202220943-0.15.0"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.119.changed | bool | `false` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.119.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.119.repository | string | `"saagie/curl-jq-helm-kubectl"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.119.tag | string | `"2301041628_1.19.16"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.120.changed | bool | `false` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.120.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.120.repository | string | `"saagie/curl-jq-helm-kubectl"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.120.tag | string | `"2301041628_1.20.15"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.121.changed | bool | `false` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.121.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.121.repository | string | `"saagie/curl-jq-helm-kubectl"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.121.tag | string | `"2301041628_1.21.10"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.122.changed | bool | `false` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.122.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.122.repository | string | `"saagie/curl-jq-helm-kubectl"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.122.tag | string | `"2301041628_1.22.10"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.123.changed | bool | `false` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.123.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.123.repository | string | `"saagie/curl-jq-helm-kubectl"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.123.tag | string | `"2211141058_1.23.14"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.124.changed | bool | `false` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.124.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.124.repository | string | `"saagie/curl-jq-helm-kubectl"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.124.tag | string | `"2211141058_1.24.8"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.125.changed | bool | `false` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.125.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.125.repository | string | `"saagie/curl-jq-helm-kubectl"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.125.tag | string | `"2307311131_1.25.12"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.126.changed | bool | `false` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.126.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.126.repository | string | `"saagie/curl-jq-helm-kubectl"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.126.tag | string | `"2311020942_1.26.9"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.127.changed | bool | `false` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.127.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.127.repository | string | `"saagie/curl-jq-helm-kubectl"` |  |
| global.thirdPartyImages.k8sVersionDependent.kubectl.127.tag | string | `"2402051032_1.27.10"` |  |
| global.thirdPartyImages.keycloak.changed | bool | `false` |  |
| global.thirdPartyImages.keycloak.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.keycloak.repository | string | `"saagie/keycloak"` |  |
| global.thirdPartyImages.keycloak.tag | string | `"2311020942-6.0.1"` |  |
| global.thirdPartyImages.kubeStateMetrics.changed | bool | `false` |  |
| global.thirdPartyImages.kubeStateMetrics.registry | string | `"k8s.gcr.io"` |  |
| global.thirdPartyImages.kubeStateMetrics.repository | string | `"kube-state-metrics/kube-state-metrics"` |  |
| global.thirdPartyImages.kubeStateMetrics.tag | string | `"v2.2.0"` |  |
| global.thirdPartyImages.minio.changed | bool | `false` |  |
| global.thirdPartyImages.minio.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.minio.repository | string | `"minio/minio"` |  |
| global.thirdPartyImages.minio.tag | string | `"RELEASE.2021-12-29T06-49-06Z"` |  |
| global.thirdPartyImages.minioMc.changed | bool | `false` |  |
| global.thirdPartyImages.minioMc.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.minioMc.repository | string | `"minio/mc"` |  |
| global.thirdPartyImages.minioMc.tag | string | `"RELEASE.2021-12-29T06-52-55Z"` |  |
| global.thirdPartyImages.mongo.changed | bool | `false` |  |
| global.thirdPartyImages.mongo.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.mongo.repository | string | `"mongo"` |  |
| global.thirdPartyImages.mongo.tag | string | `"4.2.20"` |  |
| global.thirdPartyImages.nginx.changed | bool | `false` |  |
| global.thirdPartyImages.nginx.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.nginx.repository | string | `"nginx"` |  |
| global.thirdPartyImages.nginx.tag | string | `"1.19.7"` |  |
| global.thirdPartyImages.nginxIngressController.changed | bool | `false` |  |
| global.thirdPartyImages.nginxIngressController.registry | string | `"k8s.gcr.io"` |  |
| global.thirdPartyImages.nginxIngressController.repository | string | `"ingress-nginx/controller"` |  |
| global.thirdPartyImages.nginxIngressController.tag | string | `"v1.1.1"` |  |
| global.thirdPartyImages.nginxIngressDefaultBackend.changed | bool | `false` |  |
| global.thirdPartyImages.nginxIngressDefaultBackend.registry | string | `"k8s.gcr.io"` |  |
| global.thirdPartyImages.nginxIngressDefaultBackend.repository | string | `"defaultbackend-amd64"` |  |
| global.thirdPartyImages.nginxIngressDefaultBackend.tag | string | `"1.3"` |  |
| global.thirdPartyImages.postgresql.changed | bool | `false` |  |
| global.thirdPartyImages.postgresql.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.postgresql.repository | string | `"postgres"` |  |
| global.thirdPartyImages.postgresql.tag | string | `"9.6.20"` |  |
| global.thirdPartyImages.postgresqlExporter.changed | bool | `false` |  |
| global.thirdPartyImages.postgresqlExporter.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.postgresqlExporter.repository | string | `"wrouesnel/postgres_exporter"` |  |
| global.thirdPartyImages.postgresqlExporter.tag | string | `"v0.1.1"` |  |
| global.thirdPartyImages.prometheus.changed | bool | `false` |  |
| global.thirdPartyImages.prometheus.registry | string | `"quay.io"` |  |
| global.thirdPartyImages.prometheus.repository | string | `"prometheus/prometheus"` |  |
| global.thirdPartyImages.prometheus.tag | string | `"v2.26.0"` |  |
| global.thirdPartyImages.traefik.changed | bool | `false` |  |
| global.thirdPartyImages.traefik.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.traefik.repository | string | `"traefik"` |  |
| global.thirdPartyImages.traefik.tag | string | `"2.6.1"` |  |
| global.thirdPartyImages.workflowEvaluateConditionContainerImage.changed | bool | `false` |  |
| global.thirdPartyImages.workflowEvaluateConditionContainerImage.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.workflowEvaluateConditionContainerImage.repository | string | `"saagie/evaluate-condition"` |  |
| global.thirdPartyImages.workflowEvaluateConditionContainerImage.tag | string | `"2303201022_1.18"` |  |
| global.thirdPartyImages.workflowExecutionVariablesCreateAggregatedEnv.changed | bool | `false` |  |
| global.thirdPartyImages.workflowExecutionVariablesCreateAggregatedEnv.registry | string | `"docker.io"` |  |
| global.thirdPartyImages.workflowExecutionVariablesCreateAggregatedEnv.repository | string | `"saagie/reduce-properties"` |  |
| global.thirdPartyImages.workflowExecutionVariablesCreateAggregatedEnv.tag | string | `"2211281528_1.18"` |  |
| global.ui.externalLibEnabled | bool | `true` |  |
| global.ui.prometheusTimeout | int | `20000` |  |
| global.urlSuffix | string | `nil` |  |
| grafana."grafana.ini"."auth.anonymous".enabled | bool | `true` |  |
| grafana."grafana.ini"."auth.anonymous".org_role | string | `"Viewer"` |  |
| grafana."grafana.ini".analytics.check_for_updates | bool | `true` |  |
| grafana."grafana.ini".auth.disable_login_autocomplete | bool | `true` |  |
| grafana."grafana.ini".dashboards.default_home_dashboard_path | string | `"/var/lib/grafana/dashboards/default/custom-dashboard.json"` |  |
| grafana."grafana.ini".grafana_net.url | string | `"https://grafana.net"` |  |
| grafana."grafana.ini".log.mode | string | `"console"` |  |
| grafana."grafana.ini".paths.data | string | `"/var/lib/grafana/"` |  |
| grafana."grafana.ini".paths.logs | string | `"/var/log/grafana"` |  |
| grafana."grafana.ini".paths.plugins | string | `"/var/lib/grafana/plugins"` |  |
| grafana."grafana.ini".paths.provisioning | string | `"/etc/grafana/provisioning"` |  |
| grafana."grafana.ini".server.domain | string | `"{{template \"ingress.host\" . }}"` |  |
| grafana."grafana.ini".server.root_url | string | `"%(protocol)s://%(domain)s/grafana-sandbox/"` |  |
| grafana."grafana.ini".server.serve_from_sub_path | bool | `false` |  |
| grafana.dashboardProviders."dashboardproviders.yaml".apiVersion | int | `1` |  |
| grafana.dashboardProviders."dashboardproviders.yaml".providers[0].disableDeletion | bool | `true` |  |
| grafana.dashboardProviders."dashboardproviders.yaml".providers[0].editable | bool | `false` |  |
| grafana.dashboardProviders."dashboardproviders.yaml".providers[0].folder | string | `""` |  |
| grafana.dashboardProviders."dashboardproviders.yaml".providers[0].name | string | `"default"` |  |
| grafana.dashboardProviders."dashboardproviders.yaml".providers[0].options.path | string | `"/var/lib/grafana/dashboards/default"` |  |
| grafana.dashboardProviders."dashboardproviders.yaml".providers[0].orgId | int | `1` |  |
| grafana.dashboardProviders."dashboardproviders.yaml".providers[0].type | string | `"file"` |  |
| grafana.dashboards.default.custom-dashboard.file | string | `"dashboards/custom-dashboard.json"` |  |
| grafana.datasources."datasources.yaml".apiVersion | int | `1` |  |
| grafana.datasources."datasources.yaml".datasources[0].access | string | `"proxy"` |  |
| grafana.datasources."datasources.yaml".datasources[0].isDefault | bool | `true` |  |
| grafana.datasources."datasources.yaml".datasources[0].jsonData.timeout | int | `60` |  |
| grafana.datasources."datasources.yaml".datasources[0].name | string | `"Prometheus-Observability"` |  |
| grafana.datasources."datasources.yaml".datasources[0].type | string | `"prometheus"` |  |
| grafana.datasources."datasources.yaml".datasources[0].url | string | `"http://saagie-common-observability-prometheus-server.{{ .Release.Namespace }}.svc:80/observability/prometheus"` |  |
| grafana.deploymentStrategy.rollingUpdate | string | `nil` |  |
| grafana.deploymentStrategy.type | string | `"Recreate"` |  |
| grafana.extraLabels."io.saagie/installationId" | string | `"{{ .Release.Namespace }}"` |  |
| grafana.extraLabels."io.saagie/type" | string | `"common"` |  |
| grafana.ingress.annotations."kubernetes.io/ingress.class" | string | `"nginx"` |  |
| grafana.ingress.annotations."nginx.ingress.kubernetes.io/auth-signin" | string | `"{{ if eq \"sso\" (index .Values.global \"security-root\").provider }}https://$host/authentication/api/open/sso/challenge{{ else }}https://$host/login{{ end }}"` |  |
| grafana.ingress.annotations."nginx.ingress.kubernetes.io/auth-snippet" | string | `"proxy_set_header Saagie-Realm {{ .Values.global.ingress.host_prefix }};\n"` |  |
| grafana.ingress.annotations."nginx.ingress.kubernetes.io/auth-url" | string | `"https://$host/authentication/api/open/check"` |  |
| grafana.ingress.annotations."nginx.ingress.kubernetes.io/force-ssl-redirect" | string | `"true"` |  |
| grafana.ingress.annotations."nginx.ingress.kubernetes.io/rewrite-target" | string | `"/$1"` |  |
| grafana.ingress.annotations."nginx.ingress.kubernetes.io/server-alias" | string | `"~^((?![0-9]+).+)-{{ .Values.global.urlSuffix }}.{{ .Values.global.ingress.base_domain }}"` |  |
| grafana.ingress.annotations."nginx.ingress.kubernetes.io/use-regex" | string | `"true"` |  |
| grafana.ingress.enabled | bool | `true` |  |
| grafana.ingress.extraPaths | list | `[]` |  |
| grafana.ingress.hosts[0] | string | `"{{template \"ingress.host\" . }}"` |  |
| grafana.ingress.labels | object | `{}` |  |
| grafana.ingress.path | string | `"/grafana-sandbox/?(.*)"` |  |
| grafana.ingress.pathType | string | `"Prefix"` |  |
| grafana.ingress.tls[0].hosts[0] | string | `"{{template \"ingress.host\" . }}"` |  |
| grafana.ingress.tls[0].secretName | string | `"{{ .Values.global.ingress.tls.secretName }}"` |  |
| grafana.initChownData.resources.limits.cpu | string | `"200m"` |  |
| grafana.initChownData.resources.limits.memory | string | `"200Mi"` |  |
| grafana.initChownData.resources.requests.cpu | string | `"100m"` |  |
| grafana.initChownData.resources.requests.memory | string | `"100Mi"` |  |
| grafana.nodeSelector."io.saagie/type" | string | `"common"` |  |
| grafana.persistence.accessModes[0] | string | `"ReadWriteOnce"` |  |
| grafana.persistence.enabled | bool | `true` |  |
| grafana.persistence.finalizers[0] | string | `"kubernetes.io/pvc-protection"` |  |
| grafana.persistence.size | string | `"1Gi"` |  |
| grafana.persistence.storageClassName | string | `"common-storageclass"` |  |
| grafana.persistence.type | string | `"pvc"` |  |
| grafana.podLabels."io.saagie/installationId" | string | `"{{ .Release.Namespace }}"` |  |
| grafana.podLabels."io.saagie/type" | string | `"common"` |  |
| grafana.podLabels."monitoring.saagie.io/network-allowed" | string | `"true"` |  |
| grafana.serviceAccount.imagePullSecrets[0].name | string | `"saagie-docker-config"` |  |
| ldap.basedn | string | `nil` |  |
| ldap.binddnattribute | string | `nil` |  |
| ldap.editmode | string | `nil` |  |
| ldap.group.groupdn | string | `nil` |  |
| ldap.group.groupnameldapattribute | string | `nil` |  |
| ldap.group.groupobjectclasses | string | `nil` |  |
| ldap.group.membershipattributetype | string | `nil` |  |
| ldap.group.membershipldapattribute | string | `nil` |  |
| ldap.host | string | `nil` |  |
| ldap.rdnldapattribute | string | `nil` |  |
| ldap.userdn | string | `nil` |  |
| ldap.usernameldapattribute | string | `nil` |  |
| ldap.userobjectclasses | string | `nil` |  |
| ldap.uuidldapattribute | string | `nil` |  |
| ldap.vendor | string | `nil` |  |
| login.image.changed | bool | `false` |  |
| login.image.registry | string | `"docker.io"` |  |
| login.image.repository | string | `"saagie/login-ui"` |  |
| login.image.tag | string | `"1.19.2401031536-4707.17"` |  |
| m2mPassword | string | `nil` |  |
| monitoring-prometheus.alertmanager.enabled | bool | `false` |  |
| monitoring-prometheus.enabled | bool | `false` |  |
| monitoring-prometheus.kubeStateMetrics.enabled | bool | `false` |  |
| monitoring-prometheus.nodeExporter.enabled | bool | `false` |  |
| monitoring-prometheus.pushgateway.enabled | bool | `false` |  |
| monitoring-prometheus.server.baseURL | string | `"http://localhost:9090/monitoring/prometheus"` |  |
| monitoring-prometheus.server.extraArgs."web.config.file" | string | `"/etc/config/web.yml"` |  |
| monitoring-prometheus.server.ingress.auth | object | `{}` |  |
| monitoring-prometheus.server.ingress.enabled | bool | `false` |  |
| monitoring-prometheus.server.name | string | `"server"` |  |
| monitoring-prometheus.server.persistentVolume.storageClass | string | `"common-storageclass"` |  |
| monitoring-prometheus.server.prefixURL | string | `"/monitoring/prometheus"` |  |
| monitoring-prometheus.server.resources.limits.cpu | string | `"500m"` |  |
| monitoring-prometheus.server.resources.limits.memory | string | `"512Mi"` |  |
| monitoring-prometheus.server.resources.requests.cpu | string | `"250m"` |  |
| monitoring-prometheus.server.resources.requests.memory | string | `"256Mi"` |  |
| monitoring-prometheus.server.retention | string | `"1h"` |  |
| monitoring-prometheus.server.strategy.type | string | `"Recreate"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].job_name | string | `"kubernetes-service-endpoints"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].kubernetes_sd_configs[0].role | string | `"endpoints"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[0].action | string | `"keep"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[0].regex | bool | `true` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[0].source_labels[0] | string | `"__meta_kubernetes_service_annotation_monitoring_saagie_io_scrape"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[1].action | string | `"replace"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[1].regex | string | `"(https?)"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[1].source_labels[0] | string | `"__meta_kubernetes_service_annotation_monitoring_saagie_io_scheme"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[1].target_label | string | `"__scheme__"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[2].action | string | `"replace"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[2].regex | string | `"(.+)"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[2].source_labels[0] | string | `"__meta_kubernetes_service_annotation_monitoring_saagie_io_path"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[2].target_label | string | `"__metrics_path__"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[3].action | string | `"replace"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[3].regex | string | `"([^:]+)(?::\\d+)?;(\\d+)"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[3].replacement | string | `"$1:$2"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[3].source_labels[0] | string | `"__address__"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[3].source_labels[1] | string | `"__meta_kubernetes_service_annotation_monitoring_saagie_io_port"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[3].target_label | string | `"__address__"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[4].action | string | `"replace"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[4].source_labels[0] | string | `"__meta_kubernetes_pod_annotation_monitoring_saagie_io_container"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[4].target_label | string | `"kubernetes_pod_container"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[5].action | string | `"labelmap"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[5].regex | string | `"__meta_kubernetes_service_label_(.+)"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[6].action | string | `"replace"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[6].source_labels[0] | string | `"__meta_kubernetes_namespace"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[6].target_label | string | `"kubernetes_namespace"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[7].action | string | `"replace"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[7].source_labels[0] | string | `"__meta_kubernetes_service_name"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[7].target_label | string | `"kubernetes_name"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[8].action | string | `"replace"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[8].source_labels[0] | string | `"__meta_kubernetes_pod_node_name"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[0].relabel_configs[8].target_label | string | `"kubernetes_node"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].job_name | string | `"kubernetes-pods"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].kubernetes_sd_configs[0].role | string | `"pod"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[0].action | string | `"keep"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[0].regex | bool | `true` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[0].source_labels[0] | string | `"__meta_kubernetes_pod_annotation_monitoring_saagie_io_scrape"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[1].action | string | `"replace"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[1].regex | string | `"(https?)"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[1].source_labels[0] | string | `"__meta_kubernetes_pod_annotation_monitoring_saagie_io_scheme"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[1].target_label | string | `"__scheme__"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[2].action | string | `"replace"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[2].regex | string | `"(.+)"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[2].source_labels[0] | string | `"__meta_kubernetes_pod_annotation_monitoring_saagie_io_path"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[2].target_label | string | `"__metrics_path__"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[3].action | string | `"replace"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[3].regex | string | `"([^:]+)(?::\\d+)?;(\\d+)"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[3].replacement | string | `"$1:$2"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[3].source_labels[0] | string | `"__address__"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[3].source_labels[1] | string | `"__meta_kubernetes_pod_annotation_monitoring_saagie_io_port"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[3].target_label | string | `"__address__"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[4].action | string | `"replace"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[4].source_labels[0] | string | `"__meta_kubernetes_pod_annotation_monitoring_saagie_io_container"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[4].target_label | string | `"kubernetes_pod_container"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[5].action | string | `"labelmap"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[5].regex | string | `"__meta_kubernetes_pod_label_(.+)"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[6].action | string | `"replace"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[6].source_labels[0] | string | `"__meta_kubernetes_namespace"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[6].target_label | string | `"kubernetes_namespace"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[7].action | string | `"replace"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[7].source_labels[0] | string | `"__meta_kubernetes_pod_name"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[7].target_label | string | `"kubernetes_pod_name"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[8].action | string | `"drop"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[8].regex | string | `"Pending|Succeeded|Failed"` |  |
| monitoring-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[8].source_labels[0] | string | `"__meta_kubernetes_pod_phase"` |  |
| monitoring-prometheus.serverFiles."web.yml" | object | `{}` |  |
| monitoring-prometheus.serviceAccounts.alertmanager.create | bool | `false` |  |
| monitoring-prometheus.serviceAccounts.alertmanager.name | string | `"sa-saagie-deploy"` |  |
| monitoring-prometheus.serviceAccounts.nodeExporter.create | bool | `false` |  |
| monitoring-prometheus.serviceAccounts.nodeExporter.name | string | `"sa-saagie-deploy"` |  |
| monitoring-prometheus.serviceAccounts.pushgateway.create | bool | `false` |  |
| monitoring-prometheus.serviceAccounts.pushgateway.name | string | `"sa-saagie-deploy"` |  |
| monitoring-prometheus.serviceAccounts.server.create | bool | `false` |  |
| monitoring-prometheus.serviceAccounts.server.name | string | `"sa-saagie-deploy"` |  |
| monitoring-ui.image.changed | bool | `false` |  |
| monitoring-ui.image.registry | string | `"docker.io"` |  |
| monitoring-ui.image.repository | string | `"saagie/monitoring-ui"` |  |
| monitoring-ui.image.tag | string | `"1.19.2401031536-4707.17"` |  |
| observability-prometheus.alertmanager.enabled | bool | `false` |  |
| observability-prometheus.extraScrapeConfigs | string | `"- job_name: projects-and-jobs\n  scrape_interval: 60000ms\n  metrics_path: /projects/api/actuator/prometheus\n  kubernetes_sd_configs:\n    - role: endpoints\n      namespaces:\n        names:\n          - {{ .Release.Namespace }}\n  relabel_configs:\n    - source_labels: [ __meta_kubernetes_service_name,__meta_kubernetes_endpoint_port_name ]\n      action: keep\n      regex: saagie-common-projects-and-jobs-api;actuator-http\n"` |  |
| observability-prometheus.kube-state-metrics.collectors.certificatesigningrequests | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.configmaps | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.cronjobs | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.daemonsets | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.deployments | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.endpoints | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.horizontalpodautoscalers | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.ingresses | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.jobs | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.limitranges | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.mutatingwebhookconfigurations | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.namespaces | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.networkpolicies | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.nodes | bool | `true` |  |
| observability-prometheus.kube-state-metrics.collectors.persistentvolumeclaims | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.persistentvolumes | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.poddisruptionbudgets | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.pods | bool | `true` |  |
| observability-prometheus.kube-state-metrics.collectors.replicasets | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.replicationcontrollers | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.resourcequotas | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.secrets | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.services | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.statefulsets | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.storageclasses | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.validatingwebhookconfigurations | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.verticalpodautoscalers | bool | `false` |  |
| observability-prometheus.kube-state-metrics.collectors.volumeattachments | bool | `false` |  |
| observability-prometheus.kube-state-metrics.extraArgs[0] | string | `"--metric-labels-allowlist=nodes=[*],pods=[*]"` |  |
| observability-prometheus.kube-state-metrics.serviceAccount.imagePullSecrets[0].name | string | `"saagie-docker-config"` |  |
| observability-prometheus.kubeStateMetrics.enabled | bool | `true` |  |
| observability-prometheus.nodeExporter.enabled | bool | `false` |  |
| observability-prometheus.pushgateway.enabled | bool | `false` |  |
| observability-prometheus.server.baseURL | string | `"http://localhost:9090/observability/prometheus"` |  |
| observability-prometheus.server.extraArgs."web.config.file" | string | `"/etc/config/web.yml"` |  |
| observability-prometheus.server.global.evaluation_interval | string | `"15s"` |  |
| observability-prometheus.server.global.scrape_interval | string | `"15s"` |  |
| observability-prometheus.server.global.scrape_timeout | string | `"10s"` |  |
| observability-prometheus.server.ingress.enabled | bool | `false` |  |
| observability-prometheus.server.name | string | `"server"` |  |
| observability-prometheus.server.persistentVolume.enabled | bool | `true` |  |
| observability-prometheus.server.persistentVolume.size | string | `"32Gi"` |  |
| observability-prometheus.server.persistentVolume.storageClass | string | `"common-storageclass"` |  |
| observability-prometheus.server.prefixURL | string | `"/observability/prometheus"` |  |
| observability-prometheus.server.resources.limits.cpu | string | `"800m"` |  |
| observability-prometheus.server.resources.limits.memory | string | `"4Gi"` |  |
| observability-prometheus.server.resources.requests.cpu | string | `"200m"` |  |
| observability-prometheus.server.resources.requests.memory | string | `"512Mi"` |  |
| observability-prometheus.server.retention | string | `"31d"` |  |
| observability-prometheus.server.strategy.type | string | `"Recreate"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[0].bearer_token_file | string | `"/var/run/secrets/kubernetes.io/serviceaccount/token"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[0].job_name | string | `"cadvisor"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[0].kubernetes_sd_configs[0].role | string | `"node"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[0].metric_relabel_configs[0].action | string | `"keep"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[0].metric_relabel_configs[0].regex | string | `"(container_cpu_usage_seconds_total|container_memory_working_set_bytes|container_fs_usage_bytes)"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[0].metric_relabel_configs[0].source_labels[0] | string | `"__name__"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[0].metrics_path | string | `"/metrics/cadvisor"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[0].scheme | string | `"https"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[0].tls_config.ca_file | string | `"/var/run/secrets/kubernetes.io/serviceaccount/ca.crt"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[0].tls_config.insecure_skip_verify | bool | `true` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[1].job_name | string | `"kube-state-metrics"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[1].kubernetes_sd_configs[0].follow_redirects | bool | `true` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[1].kubernetes_sd_configs[0].role | string | `"service"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[1].kubernetes_sd_configs[0].selectors[0].label | string | `"app.kubernetes.io/instance=saagie-common"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[1].kubernetes_sd_configs[0].selectors[0].role | string | `"service"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[1].metric_relabel_configs[0].action | string | `"keep"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[1].metric_relabel_configs[0].regex | string | `"(kube_pod_container_resource_limits|kube_pod_info|kube_pod_labels|kube_pod_status_phase|kube_node_labels|kube_node_status_allocatable|kube_node_status_condition)"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[1].metric_relabel_configs[0].source_labels[0] | string | `"__name__"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[0].action | string | `"keep"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[0].regex | string | `".*(kube-state-metrics)"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[0].replacement | string | `"$1"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[0].separator | string | `";"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[1].relabel_configs[0].source_labels[0] | string | `"__meta_kubernetes_service_name"` |  |
| observability-prometheus.serverFiles."prometheus.yml".scrape_configs[1].scheme | string | `"http"` |  |
| observability-prometheus.serverFiles."recording_rules.yml".groups[0].name | string | `"records"` |  |
| observability-prometheus.serverFiles."recording_rules.yml".groups[0].rules[0].expr | string | `"kube_pod_container_resource_limits{resource=\"cpu\",job=\"kube-state-metrics\",namespace=~\".*project.*\",container=\"main\"}  * on (namespace, pod, cluster)\ngroup_left() max by (namespace, pod) (\n(kube_pod_status_phase{namespace=~\".*project.*\",phase=~\"Pending|Running\"} == 1)\n)\n"` |  |
| observability-prometheus.serverFiles."recording_rules.yml".groups[0].rules[0].record | string | `"cluster:namespace:pod_cpu:active:kube_pod_container_resource_limits"` |  |
| observability-prometheus.serverFiles."recording_rules.yml".groups[0].rules[1].expr | string | `"kube_pod_container_resource_limits{resource=\"memory\",job=\"kube-state-metrics\",namespace=~\".*project.*\",container=\"main\"}  * on (namespace, pod, cluster)\ngroup_left() max by (namespace, pod, cluster) (\n  (kube_pod_status_phase{namespace=~\".*project.*\",phase=~\"Pending|Running\"} == 1)\n)\n"` |  |
| observability-prometheus.serverFiles."recording_rules.yml".groups[0].rules[1].record | string | `"cluster:namespace:pod_memory:active:kube_pod_container_resource_limits"` |  |
| observability-prometheus.serverFiles."recording_rules.yml".groups[0].rules[2].expr | string | `"sum by (cluster, namespace, pod, container) (\n  irate(container_cpu_usage_seconds_total{namespace=~\".*project.*\",container='main',job=\"cadvisor\", image!=\"\"}[5m])\n) * on (cluster, namespace, pod) group_left(node) topk by (cluster, namespace, pod) (\n  1, max by(cluster, namespace, pod, node) (kube_pod_info{node!=\"\",namespace=~\".*project.*\"})\n)\n"` |  |
| observability-prometheus.serverFiles."recording_rules.yml".groups[0].rules[2].record | string | `"node_namespace_pod_container:container_cpu_usage_seconds_total:sum_irate"` |  |
| observability-prometheus.serverFiles."recording_rules.yml".groups[0].rules[3].expr | string | `"container_memory_working_set_bytes{namespace=~\".*project.*\",container='main',job=\"cadvisor\", image!=\"\"}\n* on (namespace, pod) group_left(node) topk by(namespace, pod) (1,\n  max by(namespace, pod, node) (kube_pod_info{node!=\"\",namespace=~\".*project.*\"})\n)\n"` |  |
| observability-prometheus.serverFiles."recording_rules.yml".groups[0].rules[3].record | string | `"node_namespace_pod_container:container_memory_working_set_bytes"` |  |
| observability-prometheus.serverFiles."web.yml" | object | `{}` |  |
| observability-prometheus.serviceAccounts.alertmanager.create | bool | `false` |  |
| observability-prometheus.serviceAccounts.alertmanager.name | string | `"sa-saagie-deploy"` |  |
| observability-prometheus.serviceAccounts.nodeExporter.create | bool | `false` |  |
| observability-prometheus.serviceAccounts.nodeExporter.name | string | `"sa-saagie-deploy"` |  |
| observability-prometheus.serviceAccounts.pushgateway.create | bool | `false` |  |
| observability-prometheus.serviceAccounts.pushgateway.name | string | `"sa-saagie-deploy"` |  |
| observability-prometheus.serviceAccounts.server.create | bool | `false` |  |
| observability-prometheus.serviceAccounts.server.name | string | `"sa-saagie-deploy"` |  |
| platforms | list | `[]` |  |
| project-k8s-controller.image.changed | bool | `false` |  |
| project-k8s-controller.image.registry | string | `"docker.io"` |  |
| project-k8s-controller.image.repository | string | `"saagie/project-k8s-controller"` |  |
| project-k8s-controller.image.tag | string | `"1.19.2310101529-4304.8"` |  |
| projects-and-jobs.api.image.changed | bool | `false` |  |
| projects-and-jobs.api.image.registry | string | `"docker.io"` |  |
| projects-and-jobs.api.image.repository | string | `"saagie/projects-and-jobs"` |  |
| projects-and-jobs.api.image.tag | string | `"1.19.2403221944-4641.5"` |  |
| projects-and-jobs.ui.image.changed | bool | `true` |  |
| projects-and-jobs.ui.image.registry | string | `"docker.io"` |  |
| projects-and-jobs.ui.image.repository | string | `"saagie/projects-and-jobs-ui"` |  |
| projects-and-jobs.ui.image.tag | string | `"1.19.2403281158-4766.11"` |  |
| prom-proxy.image.changed | bool | `false` |  |
| prom-proxy.image.registry | string | `"docker.io"` |  |
| prom-proxy.image.repository | string | `"saagie/prom-proxy"` |  |
| prom-proxy.image.tag | string | `"1.19.2403111442-4694.10"` |  |
| scredz.image.changed | bool | `false` |  |
| scredz.image.registry | string | `"docker.io"` |  |
| scredz.image.repository | string | `"saagie/scredz"` |  |
| scredz.image.tag | string | `"1.19.2311071741-4384.21"` |  |
| security.auth.image.changed | bool | `false` |  |
| security.auth.image.registry | string | `"docker.io"` |  |
| security.auth.image.repository | string | `"saagie/auth"` |  |
| security.auth.image.tag | string | `"1.19.2403131121-4872.28"` |  |
| security.authentication.image.changed | bool | `false` |  |
| security.authentication.image.registry | string | `"docker.io"` |  |
| security.authentication.image.repository | string | `"saagie/authentication-service"` |  |
| security.authentication.image.tag | string | `"1.19.2403131121-4872.28"` |  |
| security.idmacl.image.changed | bool | `false` |  |
| security.idmacl.image.registry | string | `"docker.io"` |  |
| security.idmacl.image.repository | string | `"saagie/idm-acl"` |  |
| security.idmacl.image.tag | string | `"1.19.2403131121-4872.28"` |  |
| security.profile.image.changed | bool | `false` |  |
| security.profile.image.registry | string | `"docker.io"` |  |
| security.profile.image.repository | string | `"saagie/profile"` |  |
| security.profile.image.tag | string | `"1.19.2403131121-4872.28"` |  |
| security.security.image.changed | bool | `false` |  |
| security.security.image.registry | string | `"docker.io"` |  |
| security.security.image.repository | string | `"saagie/security"` |  |
| security.security.image.tag | string | `"1.19.2403131121-4872.28"` |  |
| serviceAccount | string | `"sa-saagie-deploy"` |  |
| settings.image.changed | bool | `false` |  |
| settings.image.registry | string | `"docker.io"` |  |
| settings.image.repository | string | `"saagie/settings"` |  |
| settings.image.tag | string | `"1.19.2401301524-4812.1"` |  |
| sso.cryptrOrganisationDomain | string | `nil` |  |
| sso.cryptrServiceUrl | string | `nil` |  |
| sso.keycloakClientId | string | `nil` |  |
| sso.keycloakClientSecret | string | `nil` |  |
| technology-catalog-ui.image.changed | bool | `false` |  |
| technology-catalog-ui.image.registry | string | `"docker.io"` |  |
| technology-catalog-ui.image.repository | string | `"saagie/technology-catalog-ui"` |  |
| technology-catalog-ui.image.tag | string | `"1.19.2403251723-3633.9"` |  |
| technology-manager.image.changed | bool | `false` |  |
| technology-manager.image.registry | string | `"docker.io"` |  |
| technology-manager.image.repository | string | `"saagie/technology-manager"` |  |
| technology-manager.image.tag | string | `"1.19.2403071106-4690.19"` |  |
| traefik.ingressBouncer.image.changed | bool | `false` |  |
| traefik.ingressBouncer.image.registry | string | `"docker.io"` |  |
| traefik.ingressBouncer.image.repository | string | `"saagie/ingressbouncer"` |  |
| traefik.ingressBouncer.image.tag | string | `"1.19.2311071741-4384.21"` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
