# ingress-nginx

![Version: 2.3.0](https://img.shields.io/badge/Version-2.3.0-informational?style=flat-square) ![AppVersion: 0.32.0](https://img.shields.io/badge/AppVersion-0.32.0-informational?style=flat-square)

Ingress controller for Kubernetes using NGINX as a reverse proxy and load balancer

**Homepage:** <https://github.com/kubernetes/ingress-nginx>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| ChiefAlexander |  |  |

## Source Code

* <https://github.com/kubernetes/ingress-nginx>

## Requirements

Kubernetes: `>=1.10.0-0`

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| controller.addHeaders | object | `{}` |  |
| controller.admissionWebhooks.enabled | bool | `false` |  |
| controller.admissionWebhooks.failurePolicy | string | `"Fail"` |  |
| controller.admissionWebhooks.patch.enabled | bool | `true` |  |
| controller.admissionWebhooks.patch.image.pullPolicy | string | `"IfNotPresent"` |  |
| controller.admissionWebhooks.patch.image.repository | string | `"jettech/kube-webhook-certgen"` |  |
| controller.admissionWebhooks.patch.image.tag | string | `"v1.2.0"` |  |
| controller.admissionWebhooks.patch.nodeSelector | object | `{}` |  |
| controller.admissionWebhooks.patch.podAnnotations | object | `{}` |  |
| controller.admissionWebhooks.patch.priorityClassName | string | `""` |  |
| controller.admissionWebhooks.patch.runAsUser | int | `2000` |  |
| controller.admissionWebhooks.patch.tolerations | list | `[]` |  |
| controller.admissionWebhooks.port | int | `8443` |  |
| controller.admissionWebhooks.service.annotations | object | `{}` |  |
| controller.admissionWebhooks.service.externalIPs | list | `[]` |  |
| controller.admissionWebhooks.service.loadBalancerSourceRanges | list | `[]` |  |
| controller.admissionWebhooks.service.servicePort | int | `443` |  |
| controller.admissionWebhooks.service.type | string | `"ClusterIP"` |  |
| controller.affinity | object | `{}` |  |
| controller.annotations | object | `{}` |  |
| controller.autoscaling.enabled | bool | `false` |  |
| controller.autoscaling.maxReplicas | int | `11` |  |
| controller.autoscaling.minReplicas | int | `1` |  |
| controller.autoscaling.targetCPUUtilizationPercentage | int | `50` |  |
| controller.autoscaling.targetMemoryUtilizationPercentage | int | `50` |  |
| controller.config.hsts | string | `"true"` |  |
| controller.config.hsts-max-age | string | `"63072000"` |  |
| controller.config.plugins | string | `"cookieCleaner"` |  |
| controller.config.server-tokens | string | `"false"` |  |
| controller.config.use-forwarded-headers | string | `"true"` |  |
| controller.config.worker-shutdown-timeout | string | `"600s"` |  |
| controller.configAnnotations | object | `{}` |  |
| controller.configMapNamespace | string | `""` |  |
| controller.containerPort.http | int | `8080` |  |
| controller.containerPort.https | int | `8443` |  |
| controller.customTemplate.configMapKey | string | `""` |  |
| controller.customTemplate.configMapName | string | `""` |  |
| controller.dnsConfig | object | `{}` |  |
| controller.dnsPolicy | string | `"ClusterFirst"` |  |
| controller.electionID | string | `"ingress-controller-leader"` |  |
| controller.enableMimalloc | bool | `false` |  |
| controller.extraArgs.http-port | int | `8080` |  |
| controller.extraArgs.https-port | int | `8443` |  |
| controller.extraContainers | list | `[]` |  |
| controller.extraEnvs | list | `[]` |  |
| controller.extraInitContainers | list | `[]` |  |
| controller.extraVolumeMounts[0].mountPath | string | `"/etc/nginx/lua/plugins/cookieCleaner/main.lua"` |  |
| controller.extraVolumeMounts[0].name | string | `"lua-plugins"` |  |
| controller.extraVolumeMounts[0].subPath | string | `"cookieCleaner.lua"` |  |
| controller.extraVolumes[0].configMap.name | string | `"nginx-lua-plugins"` |  |
| controller.extraVolumes[0].name | string | `"lua-plugins"` |  |
| controller.healthCheckPath | string | `"/healthz"` |  |
| controller.hostNetwork | bool | `false` |  |
| controller.hostPort.enabled | bool | `false` |  |
| controller.hostPort.ports.http | int | `80` |  |
| controller.hostPort.ports.https | int | `443` |  |
| controller.image.allowPrivilegeEscalation | bool | `false` |  |
| controller.image.pullPolicy | string | `"IfNotPresent"` |  |
| controller.image.runAsUser | int | `101` |  |
| controller.ingressClass | string | `"nginx"` |  |
| controller.kind | string | `"Deployment"` |  |
| controller.lifecycle.preStop.exec.command[0] | string | `"/wait-shutdown"` |  |
| controller.livenessProbe.failureThreshold | int | `3` |  |
| controller.livenessProbe.initialDelaySeconds | int | `10` |  |
| controller.livenessProbe.periodSeconds | int | `10` |  |
| controller.livenessProbe.successThreshold | int | `1` |  |
| controller.livenessProbe.timeoutSeconds | int | `1` |  |
| controller.livenessProbePort | int | `10254` |  |
| controller.metrics.enabled | bool | `false` |  |
| controller.metrics.port | int | `10254` |  |
| controller.metrics.prometheusRule.additionalLabels | object | `{}` |  |
| controller.metrics.prometheusRule.enabled | bool | `false` |  |
| controller.metrics.prometheusRule.rules | list | `[]` |  |
| controller.metrics.service.annotations | object | `{}` |  |
| controller.metrics.service.externalIPs | list | `[]` |  |
| controller.metrics.service.loadBalancerSourceRanges | list | `[]` |  |
| controller.metrics.service.servicePort | int | `9913` |  |
| controller.metrics.service.type | string | `"ClusterIP"` |  |
| controller.metrics.serviceMonitor.additionalLabels | object | `{}` |  |
| controller.metrics.serviceMonitor.enabled | bool | `false` |  |
| controller.metrics.serviceMonitor.namespace | string | `""` |  |
| controller.metrics.serviceMonitor.namespaceSelector | object | `{}` |  |
| controller.metrics.serviceMonitor.scrapeInterval | string | `"30s"` |  |
| controller.minAvailable | int | `1` |  |
| controller.minReadySeconds | int | `0` |  |
| controller.nodeSelector | object | `{}` |  |
| controller.podAnnotations | object | `{}` |  |
| controller.podLabels."io.saagie/networkPolicy" | string | `"allow-external"` |  |
| controller.podSecurityContext | object | `{}` |  |
| controller.priorityClassName | string | `""` |  |
| controller.proxySetHeaders | object | `{}` |  |
| controller.publishService.enabled | bool | `true` |  |
| controller.publishService.pathOverride | string | `""` |  |
| controller.readinessProbe.failureThreshold | int | `3` |  |
| controller.readinessProbe.initialDelaySeconds | int | `10` |  |
| controller.readinessProbe.periodSeconds | int | `10` |  |
| controller.readinessProbe.successThreshold | int | `1` |  |
| controller.readinessProbe.timeoutSeconds | int | `1` |  |
| controller.readinessProbePort | int | `10254` |  |
| controller.replicaCount | int | `1` |  |
| controller.reportNodeInternalIp | bool | `false` |  |
| controller.resources.requests.cpu | string | `"100m"` |  |
| controller.resources.requests.memory | string | `"90Mi"` |  |
| controller.scope.enabled | bool | `true` |  |
| controller.scope.namespace | string | `""` |  |
| controller.service.annotations | object | `{}` |  |
| controller.service.enableHttp | bool | `true` |  |
| controller.service.enableHttps | bool | `true` |  |
| controller.service.enabled | bool | `true` |  |
| controller.service.externalIPs | list | `[]` |  |
| controller.service.labels | object | `{}` |  |
| controller.service.loadBalancerSourceRanges | list | `[]` |  |
| controller.service.nodePorts.http | string | `""` |  |
| controller.service.nodePorts.https | string | `""` |  |
| controller.service.nodePorts.tcp | object | `{}` |  |
| controller.service.nodePorts.udp | object | `{}` |  |
| controller.service.ports.http | int | `80` |  |
| controller.service.ports.https | int | `443` |  |
| controller.service.targetPorts.http | string | `"http"` |  |
| controller.service.targetPorts.https | string | `"https"` |  |
| controller.service.type | string | `"LoadBalancer"` |  |
| controller.tcp.annotations | object | `{}` |  |
| controller.tcp.configMapNamespace | string | `""` |  |
| controller.terminationGracePeriodSeconds | int | `300` |  |
| controller.tolerations | list | `[]` |  |
| controller.udp.annotations | object | `{}` |  |
| controller.udp.configMapNamespace | string | `""` |  |
| controller.updateStrategy | object | `{}` |  |
| defaultBackend.affinity | object | `{}` |  |
| defaultBackend.enabled | bool | `false` |  |
| defaultBackend.extraArgs | object | `{}` |  |
| defaultBackend.extraEnvs | list | `[]` |  |
| defaultBackend.image.pullPolicy | string | `"IfNotPresent"` |  |
| defaultBackend.image.repository | string | `"k8s.gcr.io/defaultbackend-amd64"` |  |
| defaultBackend.image.runAsUser | int | `65534` |  |
| defaultBackend.image.tag | string | `"1.5"` |  |
| defaultBackend.livenessProbe.failureThreshold | int | `3` |  |
| defaultBackend.livenessProbe.initialDelaySeconds | int | `30` |  |
| defaultBackend.livenessProbe.periodSeconds | int | `10` |  |
| defaultBackend.livenessProbe.successThreshold | int | `1` |  |
| defaultBackend.livenessProbe.timeoutSeconds | int | `5` |  |
| defaultBackend.minAvailable | int | `1` |  |
| defaultBackend.nodeSelector | object | `{}` |  |
| defaultBackend.podAnnotations | object | `{}` |  |
| defaultBackend.podLabels | object | `{}` |  |
| defaultBackend.podSecurityContext | object | `{}` |  |
| defaultBackend.port | int | `8080` |  |
| defaultBackend.priorityClassName | string | `""` |  |
| defaultBackend.readinessProbe.failureThreshold | int | `6` |  |
| defaultBackend.readinessProbe.initialDelaySeconds | int | `0` |  |
| defaultBackend.readinessProbe.periodSeconds | int | `5` |  |
| defaultBackend.readinessProbe.successThreshold | int | `1` |  |
| defaultBackend.readinessProbe.timeoutSeconds | int | `5` |  |
| defaultBackend.replicaCount | int | `1` |  |
| defaultBackend.resources | object | `{}` |  |
| defaultBackend.service.annotations | object | `{}` |  |
| defaultBackend.service.externalIPs | list | `[]` |  |
| defaultBackend.service.loadBalancerSourceRanges | list | `[]` |  |
| defaultBackend.service.servicePort | int | `80` |  |
| defaultBackend.service.type | string | `"ClusterIP"` |  |
| defaultBackend.serviceAccount.create | bool | `true` |  |
| defaultBackend.serviceAccount.name | string | `nil` |  |
| defaultBackend.tolerations | list | `[]` |  |
| imagePullSecrets | list | `[]` |  |
| maxmindLicenseKey | string | `""` |  |
| podSecurityPolicy.enabled | bool | `false` |  |
| rbac.create | bool | `true` |  |
| rbac.scope | bool | `true` |  |
| revisionHistoryLimit | int | `10` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `nil` |  |
| tcp | object | `{}` |  |
| udp | object | `{}` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
