local ck = require "resty.cookie"
local _M = {}
local pattern = "saagie-common-traefik-http"

function string.startsWith(String,Start)
    return string.sub(String,1,string.len(Start))==Start
end

function _M.rewrite()
  if ngx.var.proxy_upstream_name:sub(-#pattern) == pattern then
    local cookie, err = ck:new()
    if not cookie then
      ngx.log(ngx.ERR, err)
      return
    end

    local fields, err= cookie:get_all()
    if not fields then
        ngx.log(ngx.ERR, err)
        return
    end

    local newHeader = {}
    local newCookie = {}

    for k, v in pairs(fields) do
        if string.startsWith(k,"SAAGIE") then
            table.insert(newHeader,k..'='..v)
        elseif not string.startsWith(k,"intercom") then
            table.insert(newCookie,k..'='..v)
        end
    end
    ngx.req.set_header('X-Saagie-Cookies', table.concat(newHeader,";"))
    ngx.req.set_header('Cookie',table.concat(newCookie,";"))
  end
end

return _M
