# minio

![Version: 1.0.0](https://img.shields.io/badge/Version-1.0.0-informational?style=flat-square) ![AppVersion: RELEASE.2021-11-24T23-19-33Z](https://img.shields.io/badge/AppVersion-RELEASE.2021--11--24T23--19--33Z-informational?style=flat-square)

A helm chart for minio

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| bucketRoot | string | `""` |  |
| buckets[0].name | string | `"external-technology-scripts"` |  |
| buckets[0].policy | string | `"none"` |  |
| buckets[0].purge | bool | `false` |  |
| buckets[1].name | string | `"external-technology-icons"` |  |
| buckets[1].policy | string | `"none"` |  |
| buckets[1].purge | bool | `false` |  |
| certsPath | string | `"/etc/minio/certs/"` |  |
| configPathmc | string | `"/etc/minio/mc/"` |  |
| drivesPerNode | int | `4` |  |
| extraArgs | list | `[]` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| livenessProbe.initialDelaySeconds | int | `5` |  |
| livenessProbe.periodSeconds | int | `30` |  |
| livenessProbe.timeoutSeconds | int | `1` |  |
| makeBucketJob.resources.requests.memory | string | `"128Mi"` |  |
| makeUserJob.resources.requests.memory | string | `"128Mi"` |  |
| mcImage.pullPolicy | string | `"IfNotPresent"` |  |
| mountPath | string | `"/export"` |  |
| persistence.size | string | `"32Gi"` |  |
| pools | int | `1` |  |
| readinessProbe.initialDelaySeconds | int | `5` |  |
| readinessProbe.periodSeconds | int | `30` |  |
| readinessProbe.timeoutSeconds | int | `1` |  |
| replicas | int | `1` |  |
| resources.limits.cpu | string | `"500m"` |  |
| resources.limits.memory | string | `"512Mi"` |  |
| resources.requests.cpu | string | `"10m"` |  |
| resources.requests.memory | string | `"128Mi"` |  |
| tls.certSecret | string | `""` |  |
| tls.enabled | bool | `false` |  |
| tls.privateKey | string | `"private.key"` |  |
| tls.publicCrt | string | `"public.crt"` |  |
| trustedCertsSecret | string | `""` |  |
| users[0].policy | string | `"readonly"` |  |
| users[0].secretName | string | `"saagie-common-minio-etr"` |  |
| users[1].policy | string | `"readwrite"` |  |
| users[1].secretName | string | `"saagie-common-minio-tm"` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
