# postgresql

![Version: 0.15.0](https://img.shields.io/badge/Version-0.15.0-informational?style=flat-square) ![AppVersion: 9.6.2](https://img.shields.io/badge/AppVersion-9.6.2-informational?style=flat-square)

Object-relational database management system (ORDBMS) with an emphasis on extensibility and on standards-compliance.

**Homepage:** <https://www.postgresql.org/>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| databus23 |  |  |

## Source Code

* <https://github.com/kubernetes/charts>
* <https://github.com/docker-library/postgres>

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| deploymentAnnotations | object | `{}` |  |
| existingSecret | string | `"saagie-common-postgresql"` |  |
| livenessProbe.failureThreshold | int | `6` |  |
| livenessProbe.initialDelaySeconds | int | `60` |  |
| livenessProbe.timeoutSeconds | int | `5` |  |
| metrics.enabled | bool | `false` |  |
| metrics.imagePullPolicy | string | `"IfNotPresent"` |  |
| metrics.resources.requests.cpu | string | `"100m"` |  |
| metrics.resources.requests.memory | string | `"256Mi"` |  |
| networkPolicy.allowExternal | bool | `true` |  |
| networkPolicy.enabled | bool | `false` |  |
| nodeSelector | object | `{}` |  |
| persistence.accessMode | string | `"ReadWriteOnce"` |  |
| persistence.enabled | bool | `true` |  |
| persistence.mountPath | string | `"/var/lib/postgresql/data/pgdata"` |  |
| persistence.size | string | `"32Gi"` |  |
| persistence.subPath | string | `"postgresql-db"` |  |
| podAnnotations | object | `{}` |  |
| readinessProbe.initialDelaySeconds | int | `5` |  |
| readinessProbe.periodSeconds | int | `5` |  |
| readinessProbe.timeoutSeconds | int | `3` |  |
| resources.requests.cpu | string | `"100m"` |  |
| resources.requests.memory | string | `"256Mi"` |  |
| service.externalIPs | list | `[]` |  |
| service.port | int | `5432` |  |
| service.type | string | `"ClusterIP"` |  |
| tolerations | list | `[]` |  |
| usePasswordFile | bool | `false` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
