# projects-and-jobs

![Version: 0.1.0](https://img.shields.io/badge/Version-0.1.0-informational?style=flat-square)

A Helm chart for Kubernetes

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| api.appmonitor.resyncPeriod | string | `"60s"` |  |
| api.fabric8.connectionTimeout | string | `"10s"` |  |
| api.fabric8.loggingInterval | string | `"20s"` |  |
| api.fabric8.maxConcurrentRequests | int | `10` |  |
| api.fabric8.requestTimeout | string | `"10s"` |  |
| api.fabric8.rollingTimeout | string | `"15m"` |  |
| api.fabric8.scaleTimeout | string | `"10m"` |  |
| api.fabric8.watchReconnectInterval | string | `"1s"` |  |
| api.fabric8.watchReconnectLimit | int | `-1` |  |
| api.fabric8.websocketPingInterval | string | `"30s"` |  |
| api.fabric8.websocketTimeout | string | `"5s"` |  |
| api.image.pullPolicy | string | `"IfNotPresent"` |  |
| api.livenessProbe.initialDelaySeconds | int | `60` |  |
| api.livenessProbe.periodSeconds | int | `30` |  |
| api.livenessProbe.timeoutSeconds | int | `10` |  |
| api.mail.threadPoolSize | int | `1` |  |
| api.mongodb.adminDatabase | string | `"admin"` |  |
| api.mongodb.user | string | `"projectsandjobs"` |  |
| api.podmonitor.resyncPeriod | string | `"60s"` |  |
| api.readinessProbe.initialDelaySeconds | int | `60` |  |
| api.readinessProbe.periodSeconds | int | `30` |  |
| api.readinessProbe.timeoutSeconds | int | `10` |  |
| api.reconciliationInstances.cron | string | `"0 */15 * * * *"` |  |
| api.reconciliationInstances.delayMinutesBeforeReconcile | int | `8` |  |
| api.replicaCount | int | `1` |  |
| api.resources.limits.cpu | string | `"2"` |  |
| api.resources.limits.memory | string | `"4Gi"` |  |
| api.resources.requests.cpu | string | `"500m"` |  |
| api.resources.requests.memory | string | `"4Gi"` |  |
| api.service.actuator.type | string | `"ClusterIP"` |  |
| api.service.api.type | string | `"ClusterIP"` |  |
| api.subchartName | string | `"projects-and-jobs-api"` |  |
| api.synchronization.cron | string | `"0 */15 * * * *"` |  |
| api.synchronization.threadPoolSize | int | `5` |  |
| api.workflow.executionVariables.maximumOfNumberExecVars | int | `200` |  |
| api.workflow.executionVariables.maximumSizeValueExecVars | int | `2048` |  |
| api.workflowmonitor.resyncPeriod | string | `"60s"` |  |
| ingress.annotations."kubernetes.io/ingress.class" | string | `"nginx"` |  |
| ingress.annotations."nginx.ingress.kubernetes.io/force-ssl-redirect" | string | `"true"` |  |
| ingress.annotations."nginx.ingress.kubernetes.io/proxy-body-size" | string | `"2g"` |  |
| ingress.annotations."nginx.ingress.kubernetes.io/proxy-connect-timeout" | string | `"600"` |  |
| ingress.annotations."nginx.ingress.kubernetes.io/proxy-read-timeout" | string | `"600"` |  |
| ingress.annotations."nginx.ingress.kubernetes.io/proxy-send-timeout" | string | `"600"` |  |
| ingress.api.path | string | `"/projects/api"` |  |
| ingress.ui.path | string | `"/projects"` |  |
| serviceAccountName | string | `"sa-saagie-deploy"` |  |
| ui.image.pullPolicy | string | `"IfNotPresent"` |  |
| ui.livenessProbe.initialDelaySeconds | int | `10` |  |
| ui.livenessProbe.periodSeconds | int | `30` |  |
| ui.livenessProbe.timeoutSeconds | int | `10` |  |
| ui.readinessProbe.initialDelaySeconds | int | `10` |  |
| ui.readinessProbe.periodSeconds | int | `30` |  |
| ui.readinessProbe.timeoutSeconds | int | `10` |  |
| ui.replicaCount | int | `1` |  |
| ui.resources.limits.cpu | string | `"50m"` |  |
| ui.resources.limits.memory | string | `"64Mi"` |  |
| ui.resources.requests.cpu | string | `"50m"` |  |
| ui.resources.requests.memory | string | `"64Mi"` |  |
| ui.service.type | string | `"ClusterIP"` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
