# kube-state-metrics

![Version: 3.1.1](https://img.shields.io/badge/Version-3.1.1-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 2.0.0](https://img.shields.io/badge/AppVersion-2.0.0-informational?style=flat-square)

Install kube-state-metrics to generate and expose cluster-level metrics

**Homepage:** <https://github.com/kubernetes/kube-state-metrics/>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| tariq1890 | tariq.ibrahim@mulesoft.com |  |
| mrueg | manuel@rueg.eu |  |

## Source Code

* <https://github.com/kubernetes/kube-state-metrics/>

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| autosharding.enabled | bool | `false` |  |
| collectors.certificatesigningrequests | bool | `true` |  |
| collectors.configmaps | bool | `true` |  |
| collectors.cronjobs | bool | `true` |  |
| collectors.daemonsets | bool | `true` |  |
| collectors.deployments | bool | `true` |  |
| collectors.endpoints | bool | `true` |  |
| collectors.horizontalpodautoscalers | bool | `true` |  |
| collectors.ingresses | bool | `true` |  |
| collectors.jobs | bool | `true` |  |
| collectors.limitranges | bool | `true` |  |
| collectors.mutatingwebhookconfigurations | bool | `true` |  |
| collectors.namespaces | bool | `true` |  |
| collectors.networkpolicies | bool | `true` |  |
| collectors.nodes | bool | `true` |  |
| collectors.persistentvolumeclaims | bool | `true` |  |
| collectors.persistentvolumes | bool | `true` |  |
| collectors.poddisruptionbudgets | bool | `true` |  |
| collectors.pods | bool | `true` |  |
| collectors.replicasets | bool | `true` |  |
| collectors.replicationcontrollers | bool | `true` |  |
| collectors.resourcequotas | bool | `true` |  |
| collectors.secrets | bool | `true` |  |
| collectors.services | bool | `true` |  |
| collectors.statefulsets | bool | `true` |  |
| collectors.storageclasses | bool | `true` |  |
| collectors.validatingwebhookconfigurations | bool | `true` |  |
| collectors.verticalpodautoscalers | bool | `false` |  |
| collectors.volumeattachments | bool | `true` |  |
| customLabels | object | `{}` |  |
| extraArgs | list | `[]` |  |
| hostNetwork | bool | `false` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"k8s.gcr.io/kube-state-metrics/kube-state-metrics"` |  |
| image.tag | string | `"v2.0.0"` |  |
| imagePullSecrets | list | `[]` |  |
| kubeTargetVersionOverride | string | `""` |  |
| kubeconfig.enabled | bool | `false` |  |
| kubeconfig.secret | string | `nil` |  |
| namespaceOverride | string | `""` |  |
| namespaces | string | `""` |  |
| nodeSelector | object | `{}` |  |
| podAnnotations | object | `{}` |  |
| podDisruptionBudget | object | `{}` |  |
| podSecurityPolicy.additionalVolumes | list | `[]` |  |
| podSecurityPolicy.annotations | object | `{}` |  |
| podSecurityPolicy.enabled | bool | `false` |  |
| prometheus.monitor.additionalLabels | object | `{}` |  |
| prometheus.monitor.enabled | bool | `false` |  |
| prometheus.monitor.honorLabels | bool | `false` |  |
| prometheus.monitor.namespace | string | `""` |  |
| prometheusScrape | bool | `true` |  |
| rbac.create | bool | `true` |  |
| rbac.useClusterRole | bool | `true` |  |
| replicas | int | `1` |  |
| resources | object | `{}` |  |
| securityContext.enabled | bool | `true` |  |
| securityContext.fsGroup | int | `65534` |  |
| securityContext.runAsGroup | int | `65534` |  |
| securityContext.runAsUser | int | `65534` |  |
| selfMonitor.enabled | bool | `false` |  |
| service.annotations | object | `{}` |  |
| service.loadBalancerIP | string | `""` |  |
| service.nodePort | int | `0` |  |
| service.port | int | `8080` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.imagePullSecrets | list | `[]` |  |
| serviceAccount.name | string | `nil` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
