# settings

![Version: 0.1.0](https://img.shields.io/badge/Version-0.1.0-informational?style=flat-square)

A Helm chart for Kubernetes

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| default_enabled_apps | string | `"PROJECTS,TECHNOLOGY_CATALOG"` |  |
| env.appsMaxStorageSizeInMb | int | `10000` |  |
| env.appsStorageSizeStepInMb | int | `1000` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| ingress.annotations."kubernetes.io/ingress.class" | string | `"nginx"` |  |
| ingress.path | string | `"/settings/api"` |  |
| jvm.memory.heap | string | `"55%"` |  |
| jvm.memory.metaspace | string | `"25%"` |  |
| livenessProbe.initialDelaySeconds | int | `10` |  |
| livenessProbe.periodSeconds | int | `30` |  |
| livenessProbe.timeoutSeconds | int | `10` |  |
| mongodb.adminDatabase | string | `"admin"` |  |
| mongodb.database | string | `"settings"` |  |
| mongodb.user | string | `"settings"` |  |
| readinessProbe.initialDelaySeconds | int | `10` |  |
| readinessProbe.periodSeconds | int | `30` |  |
| readinessProbe.timeoutSeconds | int | `10` |  |
| replicaCount | int | `1` |  |
| resources.limits.memory | string | `"512Mi"` |  |
| resources.requests.memory | string | `"512Mi"` |  |
| service.actuator.type | string | `"ClusterIP"` |  |
| service.api.type | string | `"ClusterIP"` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
