# traefik

![Version: 0.1.0](https://img.shields.io/badge/Version-0.1.0-informational?style=flat-square) ![AppVersion: 1.0](https://img.shields.io/badge/AppVersion-1.0-informational?style=flat-square)

A Helm chart for Kubernetes

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| config.path | string | `"/etc/traefik"` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| ingress.annotations."kubernetes.io/ingress.class" | string | `"nginx"` |  |
| ingress.annotations."nginx.ingress.kubernetes.io/proxy-body-size" | string | `"2g"` |  |
| ingress.annotations."nginx.ingress.kubernetes.io/proxy-read-timeout" | string | `"600"` |  |
| ingressBouncer.image.pullPolicy | string | `"IfNotPresent"` |  |
| ingressBouncer.livenessProbe.initialDelaySeconds | int | `30` |  |
| ingressBouncer.livenessProbe.periodSeconds | int | `5` |  |
| ingressBouncer.readinessProbe.initialDelaySeconds | int | `30` |  |
| ingressBouncer.readinessProbe.periodSeconds | int | `5` |  |
| ingressBouncer.resources.limits.cpu | string | `"300m"` |  |
| ingressBouncer.resources.limits.memory | string | `"256Mi"` |  |
| ingressBouncer.resources.requests.cpu | string | `"100m"` |  |
| ingressBouncer.resources.requests.memory | string | `"128Mi"` |  |
| livenessProbe | string | `nil` |  |
| readinessProbe | string | `nil` |  |
| replicaCount | int | `1` |  |
| resources.limits.cpu | string | `"300m"` |  |
| resources.limits.memory | string | `"512Mi"` |  |
| resources.requests.cpu | string | `"100m"` |  |
| resources.requests.memory | string | `"128Mi"` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccountName | string | `"traefik-ingress-controller"` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
