#!/bin/bash
runScript() {
    dateLimit="$(date +%s)"
    dateLimit=$((dateLimit + 120)) # 120 seconds timeout
    local mongo=(mongo "${MONGO_CONNECTION_STRING}" -u root -p$MONGO_ROOT_PWD --authenticationDatabase admin)
    local connected=1
    while [[ "${connected}" == 1 && "$(date +%s)" < "${dateLimit}" ]]; do
      if "${mongo[@]}" --eval 'print("CONNECTED")'; then
        connected=0
      else
        echo Waiting for mongo...
        sleep 5
      fi
    done
    [[ "${connected}" == 0 ]] || {
      echo "Max attempt reached. Aborting..."
      return 1
    } >&2
    "${mongo[@]}" "$1"
}
runScript 'init-customer.js'

if [[ "${SAAGIE_READONLY}" == 'false' ]]; then

  # Wait for the file created by the keycloak init container containing the ipa groups to be created
  dateLimit=$(date +%s)
  dateLimit=$((dateLimit + 120)) # 120 seconds timeout
  while [[ ! -f /shared/groups && "$(date +%s)" < "${dateLimit}" ]]
  do
      echo "Waiting for groups to be retrieved from auth..."
      sleep 5
  done
  [[ -f /shared/groups ]] || {
      echo "Max attempt reached. Aborting..."
      return 1
  } >&2
  runScript 'add-groups.js'
  rm /shared/groups

fi

echo 'Mongo update done!'
