#!/usr/bin/env bash

set -eu

runtime="$(kubectl get node "${NODE_NAME}" -o jsonpath='{$.status.nodeInfo.containerRuntimeVersion}')"
echo "Container runtime ${runtime} detected for node ${NODE_NAME}"

case "${runtime}" in
  "docker://"*)
    echo '@SET PARSER=docker' > "${OUTPUT_FILE}"
    ;;
  "containerd://"*)
    echo '@SET PARSER=cri' > "${OUTPUT_FILE}"
    ;;
  *)
    echo "Runtime not supported yet" >&2
    exit 1
    ;;
esac
