{{/* vim: set filetype=mustache: */}}
{{- define "saagie-common.base.fullname" -}}
{{- printf "%s-%s" .context.Release.Name .name | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "saagie-common.base.labels" -}}
app: {{ include (printf "%s.name" .prefix) .context }}
chart: {{ include "saagie-common.chart" .context }}
release: {{ .context.Release.Name }}
heritage: {{ .context.Release.Service }}
helm.sh/chart: {{ include "saagie-common.chart" .context }}
{{- $suffix := "" }}
{{- if .component }}
  {{- $suffix = printf ".%s" .component }}
{{- end }}
{{ include (printf "%s.selectorLabels%s" .prefix $suffix) .context }}
{{- if .context.Chart.AppVersion }}
app.kubernetes.io/version: {{ .context.Chart.AppVersion | quote }}
{{- end }}
app.kubernetes.io/managed-by: {{ .context.Release.Service }}
app.kubernetes.io/part-of: saagie-common
io.saagie/type: common
io.saagie/installationId: {{ .context.Release.Namespace }}
{{- end -}}

{{- define "saagie-common.base.selectorLabels" -}}
app.kubernetes.io/name: {{ include (printf "%s.name" .prefix) .context }}
app.kubernetes.io/instance: {{ .context.Release.Name }}
{{- if .component }}
app.kubernetes.io/component: {{ .component }}
{{- end }}
{{- end -}}


{{- define "chart.name" -}}
{{ .Chart.Name }}
{{- end -}}

{{- define "chart.fullname" -}}
{{- printf "%s-%s" .Release.Name (include "chart.name" .) | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "chart.labels" -}}
{{ dict "prefix" "chart" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "chart.selectorLabels" -}}
{{ dict "prefix" "chart" "context" . | include "saagie-common.base.selectorLabels" }}
{{- end -}}
