{{/* vim: set filetype=mustache: */}}

{{- define "external-technology-runner.chart" -}}
{{- printf "%s-%s" .Chart.Name .Chart.Version | replace "+" "_" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "external-technology-runner.name" -}}
{{- "external-technology-runner" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "external-technology-runner.fullname" -}}
{{- printf "%s-%s" .Release.Name (include "external-technology-runner.name" .) | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "external-technology-runner.labels" -}}
{{ dict "prefix" "external-technology-runner" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "external-technology-runner.selectorLabels" -}}
{{ dict "prefix" "external-technology-runner" "context" . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "external-technology-runner.port" -}}
3000
{{- end -}}

{{- define "external-technology-runner.url" -}}
http://{{ include "external-technology-runner.fullname" . }}.{{ .Release.Namespace }}:{{ include "external-technology-runner.port" . }}
{{- end -}}

{{- define "external-technology-runner.minio.bucket-name" -}}
external-technology-scripts
{{- end -}}
