{{/* vim: set filetype=mustache: */}}

{{- define "repositoryAndTag" -}}
{{- $image := first . -}}
{{- $root := last . -}}

{{- $repositoryName := $image.repository }}
{{- if and $image.changed $root.Values.global.dev }}
{{- $repositoryName =  printf "%s-snapshot" $image.repository }}
{{- end }}

{{- if $root.Values.global.registry -}}
{{- printf "%s/%s:%s" (required "The registry field is required" $root.Values.global.registry) (required "The repository field is required"  $repositoryName) (required "The tag field is required" $image.tag) -}}
{{ else }}
{{- printf "%s/%s:%s" (required "The registry field is required" $image.registry) (required "The repository field is required"  $repositoryName) (required "The tag field is required" $image.tag) -}}
{{- end -}}
{{- end -}}

{{- define "networkPolicyLabel.allowExternal" -}}
io.saagie/networkPolicy: allow-external
{{- end -}}

{{- define "repositoryAndTagForK8sVersion" -}}
{{- $image := first . -}}
{{- $root := last . -}}
{{- $k8sVersion := printf "%s%s" $root.Capabilities.KubeVersion.Major (trimSuffix "+" $root.Capabilities.KubeVersion.Minor) -}}

{{- $errorMissingImage := printf "Template error : no thirdparty image with name %s has been provided in Values .global.thirdPartyImages.k8sVersionDependent" $image -}}
{{- $errorMissingVersion := printf "No %s image version has been defined for your K8S cluster version (%s)" $image $k8sVersion -}}
{{- $images := required $errorMissingImage (first (pluck $image $root.Values.global.thirdPartyImages.k8sVersionDependent)) -}}
{{- $version := required $errorMissingVersion (first (pluck $k8sVersion $images)) -}}
{{- with $version -}}
    {{- if $root.Values.global.registry -}}
    {{- printf "%s/%s:%s" $root.Values.global.registry .repository .tag -}}
    {{ else }}
    {{- printf "%s/%s:%s" .registry .repository .tag -}}
    {{- end -}}
{{- end -}}
{{- end -}}
