{{/* vim: set filetype=mustache: */}}

{{- define "minio.name" -}}
{{- "minio" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "minio.fullname" -}}
{{- printf "%s-%s" .Release.Name (include "minio.name" .) | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "minio.service" -}}
{{ include "minio.fullname" . }}
{{- end -}}

{{- define "minio.pvc" -}}
{{ include "minio.fullname" . }}
{{- end -}}

{{- define "minio.secret.root" -}}
{{ include "minio.fullname" . }}-root
{{- end -}}

{{- define "minio.labels.base" -}}
{{ mustMerge (dict "prefix" "minio") . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "minio.labels" -}}
{{ dict "context" . | include "minio.labels.base" }}
{{- end -}}

{{- define "minio.labels.server" -}}
{{ dict "component" "server" "context" . | include "minio.labels.base" }}
{{- end -}}

{{- define "minio.labels.job" -}}
{{ dict "component" "job" "context" . | include "minio.labels.base" }}
{{- end -}}

{{- define "minio.selectorLabels.base" -}}
{{ mustMerge (dict "prefix" "minio") . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "minio.selectorLabels" -}}
{{ dict "context" . | include "minio.selectorLabels.base" }}
{{- end -}}

{{- define "minio.selectorLabels.server" -}}
{{ dict "component" "server" "context" . | include "minio.selectorLabels.base" }}
{{- end -}}

{{- define "minio.selectorLabels.job" -}}
{{ dict "component" "job" "context" . | include "minio.selectorLabels.base" }}
{{- end -}}

{{- define "minio.port" -}}
9000
{{- end -}}

{{- define "minio.tls.enabled" -}}
false
{{- end -}}
