{{/* vim: set filetype=mustache: */}}

{{- define "mongodb.name" -}}
{{- "mongodb" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "mongodb.fullname" -}}
{{- printf "%s-%s" .Release.Name "mongodb" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "mongodb.labels" -}}
{{ dict "prefix" "mongodb" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "mongodb.selectorLabels" -}}
{{ dict "prefix" "mongodb" "context" . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "mongodb.test-root-connection.name" -}}
{{- include "chart.name" . -}}-root-connection-test
{{- end -}}

{{- define "mongodb.test-root-connection.fullname" -}}
{{- include "chart.fullname" . -}}-root-connection-test
{{- end -}}

{{- define "mongodb.test-root-connection.labels" -}}
{{ dict "prefix" "mongodb.test-root-connection" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "mongodb.test-root-connection.selectorLabels" -}}
{{ dict "prefix" "mongodb.test-root-connection" "context" . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "mongodb.user" -}}
{{ .Values.mongodb.user }}
{{- end -}}
{{- define "mongodb.port" -}}
27017
{{- end -}}
{{- define "mongodb.host" -}}
{{ include "mongodb.fullname" . }}:{{ include "mongodb.port" . }}
{{- end -}}
{{- define "mongodb.database" -}}
{{ .Values.mongodb.adminDatabase }}
{{- end -}}
{{- define "mongodb.url.base" -}}
mongodb://{{ .user }}:{{ .password }}@{{ include "mongodb.host" .context }}/{{ .database }}
{{- end -}}
{{- define "mongodb.url.admin" -}}
{{ dict "user" "root" "password" "$(MONGO_ROOT_PWD)" "database" "admin" "context" . | include "mongodb.url.base" }}
{{- end -}}
{{- define "mongodb.url.main" -}}
{{ mustMerge (dict "user" (include "mongodb.user" .context) "database" (include "mongodb.database" .context)) . | include "mongodb.url.base" }}
{{- end -}}
{{- define "mongodb.url.projects-and-jobs" -}}
{{ dict "user" .Values.api.mongodb.user "password" "${PROJECTS_MONGODB_PASSWORD}" "database" .Values.api.mongodb.adminDatabase "context" . | include "mongodb.url.base" }}
{{- end -}}
