{{/* vim: set filetype=mustache: */}}

{{- define "security.name" -}}
{{- "security" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "security.fullname" -}}
{{- printf "%s-%s" .Release.Name (include "security.name" .) | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "security.labels" -}}
{{ dict "prefix" "security" "context" . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "security.selectorLabels" -}}
{{ dict "prefix" "security" "context" . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "security.port.api" -}}
8050
{{- end -}}
{{- define "security.port.grpc" -}}
8075
{{- end -}}
{{- define "security.port.management" -}}
8051
{{- end -}}

{{- define "security.url.api" -}}
http://{{ include "security.fullname" . }}:{{ include "security.port.api" . }}
{{- end -}}
