{{/* vim: set filetype=mustache: */}}

{{- define "technology-manager.name" -}}
{{- "technology-manager" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "technology-manager.fullname" -}}
{{- printf "%s-%s" .Release.Name (include "technology-manager.name" .)  | trunc 63 | trimSuffix "-" -}}
{{- end -}}


{{- define "technology-manager.labels.base" -}}
{{ mustMerge (dict "prefix" "technology-manager") . | include "saagie-common.base.labels" }}
{{- end -}}

{{- define "technology-manager.labels.api" -}}
{{ dict "component" "api" "context" . | include "technology-manager.labels.base" }}
{{- end -}}

{{- define "technology-manager.labels.internal-repo" -}}
{{ dict "component" "internal-repo" "context" . | include "technology-manager.labels.base" }}
{{- end -}}

{{- define "technology-manager.selectorLabels.base" -}}
{{ mustMerge (dict "prefix" "technology-manager") . | include "saagie-common.base.selectorLabels" }}
{{- end -}}

{{- define "technology-manager.selectorLabels.api" -}}
{{ dict "component" "api" "context" . | include "technology-manager.selectorLabels.base" }}
{{- end -}}

{{- define "technology-manager.selectorLabels.internal-repo" -}}
{{ dict "component" "internal-repo" "context" . | include "technology-manager.selectorLabels.base" }}
{{- end -}}

{{- define "technology-manager.port" -}}
8080
{{- end -}}

{{- define "technology-manager.url" -}}
http://{{ include "technology-manager.fullname" . }}:{{ include "technology-manager.port" . }}
{{- end -}}
