{{/* vim: set filetype=mustache: */}}
{{- define "ingress.tls.config" -}}
{{- if (.Values.global.ingress.tls.secretName) }}
tls:
  - hosts:
      - {{ template "ingress.host" . }}
    secretName: {{ .Values.global.ingress.tls.secretName }}
{{- end }}
{{- end -}}

{{- define "nginx.server.alias" -}}
nginx.ingress.kubernetes.io/server-alias: "~^((?![0-9]+).+)-{{ .Values.global.urlSuffix }}.{{ .Values.global.ingress.base_domain }}"
{{- end -}}

{{- define "ingress.host" -}}
{{- if (.Values.global.ingress.host_prefix) -}}
{{ .Values.global.ingress.host_prefix }}-{{ .Values.global.urlSuffix }}.{{ .Values.global.ingress.base_domain }}
{{- else -}}
{{ .Values.global.urlSuffix }}.{{ .Values.global.ingress.base_domain }}
{{- end -}}
{{- end -}}
