{{- define "mongo.user.script.volume" -}}
- name: mongo-user-script
  configMap:
    name: mongo-create-user
{{- end -}}

{{- define "mongo.user.create.initcontainer" -}}
- name: create-mongo-user
  image: {{ template "repositoryAndTag" list .Values.global.thirdPartyImages.mongo . }}
  env:
    - name: MONGO_ROOT_PWD
      valueFrom:
        secretKeyRef:
          name: saagie-common-mongodb-secret
          key: mongodb-root-password
    - name: MONGO_USER_PWD
{{ include "mongo.user.password.valueFromSecret" . | indent 6 }}
  command: ['sh', '-c', 'until mongo {{ include "mongodb.host" . }} -u root -p $MONGO_ROOT_PWD --authenticationDatabase admin --eval "var database=''{{ .Values.mongodb.database }}''; var username=''{{ include "mongodb.user" . }}''; var password=''$MONGO_USER_PWD''" script/{{ template "mongo.user.create.scriptName" . }}; do echo waiting for mongo; sleep 2; done;']
  volumeMounts:
    - name: mongo-user-script
      mountPath: /script
      readOnly: true
{{- end -}}

{{- define "mongo.user.create.scriptName" -}}
{{ if .Values.mongodb.multitenant }}
{{- print "create-multitenant-user.js" -}}
{{ else }}
{{- print "create-user.js" -}}
{{ end }}
{{- end -}}

{{- define "mongo.user.password.valueFromSecret" -}}
valueFrom:
  secretKeyRef:
    name: {{ .Values.mongodb.passwordSecret.name }}
    key: {{ .Values.mongodb.passwordSecret.key }}
{{- end -}}
