{{- define "product.versioning.volumeMount" -}}
- name: volume-product-versioning
  readOnly: true
  mountPath: {{ .mountPath }}
{{- end -}}

{{- define "product.versioning.volume" -}}
- name: volume-product-versioning
  configMap:
    name: saagie-common-product-versioning
{{- end -}}

{{- define "product.versioning.version" -}}
  {{- if .module | contains "." -}}
    {{- $path := .module | splitList "." -}}
{
  "id": "{{ .module }}",
  "label": "{{ .label }}",
  "version": "{{ (index (index .context.Values (index $path 0)) (index $path 1)).image.tag }}"
}
  {{- else -}}
{
  "id": "{{ .module }}",
  "label": "{{ .label }}",
  "version": "{{ (.module | index .context.Values).image.tag }}"
}
  {{- end -}}
{{- end -}}
