apiVersion: batch/v1
kind: Job
metadata:
  name: checker-tls
  namespace: {namespace}
spec:
  template:
    metadata:
      labels:
        app.kubernetes.io/part-of: saagie-configurator
        app.kubernetes.io/instance: saagie-checker
        app.kubernetes.io/name: checker-tls
        io.saagie/installationId: {installationId}
    spec:
      containers:
        - name: checker-tls
          image: {image}
          imagePullPolicy: Always
          command: {command}
          volumeMounts:
            - name: checker-volume
              mountPath: /config
            - name: tls-secret
              mountPath: /secret
      volumes:
        - name: checker-volume
          configMap:
            name: checker-config-map
        - name: tls-secret
          secret:
            secretName: {secretName}
      restartPolicy: Never
  backoffLimit: 4
