apiVersion: batch/v1
kind: Job
metadata:
  name: checker-{jobName}
  namespace: {namespace}
spec:
  template:
    metadata:
      labels:
        app.kubernetes.io/part-of: saagie-configurator
        app.kubernetes.io/instance: saagie-checker
        app.kubernetes.io/name: checker-job
        app.kubernetes.io/component: {jobName}
        io.saagie/installationId: {installationId}
    spec:
      containers:
        - name: checker-{jobName}
          image: {image}
          imagePullPolicy: Always
          command: {command}
          volumeMounts:
            - name: checker-volume
              mountPath: /config
      volumes:
        - name: checker-volume
          configMap:
            name: checker-config-map
      restartPolicy: Never
  backoffLimit: 4
